local DGV = DugisGuideViewer

DGV.TalentAdvisorButtonMap = {
	DEATHKNIGHT ={
			{--Blood
				["Improved Blood Presence"]=1,
				["Bladed Armor"]=2,
				["Butchery"]=3,
				["Rune Tap"]=4,
				["Improved Rune Tap"]=5,
				["Dark Conviction"]=6,
				["Bloody Vengeance"]=7,
				["Subversion"]=8,
				["Scent of Blood"]=9,
				["Mark of Blood"]=10,
				["Veteran of the Third War"]=11,
				["Vendetta"]=12,
				["Unholy Frenzy"]=13,
				["Sudden Doom"]=14,
				["Heart Strike"]=15,
				["Might of Mograine"]=16,
				["Will of the Necropolis"]=17,
				["Bloodworms"]=18,
				["Dancing Rune Weapon"]=19,
				["Bloody Strikes"]=20,
				["Blade Barrier"]=21,
				["Spell Deflection"]=22,
				["Vampiric Blood"]=23,
				["Blood Gorged"]=24,
				["Death Rune Mastery"]=25,
				["Abomination's Might"]=26,
				["Two-Handed Weapon Specialization"]=27,
				["Improved Death Strike"]=28,
			},			
			{--Frost
				["Toughness"]=1,
				["Endless Winter"]=2,
				["Black Ice"]=3,
				["Frost Strike"]=4,
				["Unbreakable Armor"]=5,
				["Deathchill"]=6,
				["Chill of the Grave"]=7,
				["Howling Blast"]=8,
				["Frigid Dreadplate"]=9,
				["Rime"]=10,
				["Merciless Combat"]=11,
				["Acclimation"]=12,
				["Tundra Stalker"]=13,
				["Hungering Cold"]=14,
				["Runic Power Mastery"]=15,
				["Nerves of Cold Steel"]=16,
				["Improved Frost Presence"]=17,
				["Glacier Rot"]=18,
				["Improved Icy Touch"]=19,
				["Icy Reach"]=20,
				["Guile of Gorefiend"]=21,
				["Icy Talons"]=22,
				["Killing Machine"]=23,
				["Annihilation"]=24,
				["Blood of the North"]=25,
				["Lichborne"]=26,
				["Improved Icy Talons"]=27,
				["Chilblains"]=28,
				["Threat of Thassarian"]=29,
			},
			{--Unholy
				["Virulence"]=1,
				["Morbidity"]=2,
				["Ravenous Dead"]=3,
				["Crypt Fever"]=4,
				["Epidemic"]=5,
				["Master of Ghouls"]=6,
				["Corpse Explosion"]=7,
				["Unholy Blight"]=8,
				["Summon Gargoyle"]=9,
				["Reaping"]=10,
				["Wandering Plague"]=11,
				["Blood-Caked Blade"]=12,
				["Impurity"]=13,
				["Bone Shield"]=14,
				["Outbreak"]=15,
				["Magic Suppression"]=16,
				["Dirge"]=17,
				["Improved Unholy Presence"]=18,
				["Unholy Command"]=19,
				["Rage of Rivendare"]=20,
				["On a Pale Horse"]=21,
				["Ebon Plaguebringer"]=22,
				["Necrosis"]=23,
				["Vicious Strikes"]=24,
				["Ghoul Frenzy"]=25,
				["Scourge Strike"]=26,
				["Anticipation"]=27,
				["Anti-Magic Zone"]=28,
				["Night of the Dead"]=29,
				["Desecration"]=30,
				["Desolation"]=31,
			},
		},
	DRUID = {
			{--Balance
				["Starlight Wrath"]=1,
				["Improved Moonfire"]=2,
				["Nature's Reach"]=3,
				["Brambles"]=4,
				["Moonglow"]=5,
				["Celestial Focus"]=6,
				["Insect Swarm"]=7,
				["Nature's Grace"]=8,
				["Moonfury"]=9,
				["Vengeance"]=10,
				["Moonkin Form"]=11,
				["Lunar Guidance"]=12,
				["Balance of Power"]=13,
				["Dreamstate"]=14,
				["Improved Faerie Fire"]=15,
				["Wrath of Cenarius"]=16,
				["Force of Nature"]=17,
				["Nature's Majesty"]=18,
				["Improved Moonkin Form"]=19,
				["Owlkin Frenzy"]=20,
				["Typhoon"]=21,
				["Eclipse"]=22,
				["Gale Winds"]=23,
				["Starfall"]=24,
				["Earth and Moon"]=25,
				["Genesis"]=26,
				["Improved Insect Swarm"]=27,
				["Nature's Splendor"]=28,
		},
			{--Feral Combat
				["Thick Hide"]=1,
				["Feral Aggression"]=2,
				["Ferocity"]=3,
				["Brutal Impact"]=4,
				["Sharpened Claws"]=5,
				["Feral Instinct"]=6,
				["Primal Fury"]=7,
				["Shredding Attacks"]=8,
				["Predatory Strikes"]=9,
				["Feral Charge"]=10,
				["Savage Fury"]=11,
				["Feral Swiftness"]=12,
				["Heart of the Wild"]=13,
				["Leader of the Pack"]=14,
				["Survival Instincts"]=15,
				["Nurturing Instinct"]=16,
				["Primal Tenacity"]=17,
				["Survival of the Fittest"]=18,
				["Predatory Instincts"]=19,
				["Mangle"]=20,
				["Improved Leader of the Pack"]=21,
				["Primal Precision"]=22,
				["Rend and Tear"]=23,
				["Infected Wounds"]=24,
				["Improved Mangle"]=25,
				["King of the Jungle"]=26,
				["Berserk"]=27,
				["Protector of the Pack"]=28,
				["Natural Reaction"]=29,
				["Primal Gore"]=30,
			},
			{--Restoration
				["Improved Mark of the Wild"]=1,
				["Furor"]=2,
				["Nature's Focus"]=3,
				["Naturalist"]=4,
				["Nature's Bounty"]=5,
				["Natural Shapeshifter"]=6,
				["Omen of Clarity"]=7,
				["Gift of Nature"]=8,
				["Intensity"]=9,
				["Improved Rejuvenation"]=10,
				["Nature's Swiftness"]=11,
				["Subtlety"]=12,
				["Improved Tranquility"]=13,
				["Tranquil Spirit"]=14,
				["Swiftmend"]=15,
				["Empowered Touch"]=16,
				["Empowered Rejuvenation"]=17,
				["Natural Perfection"]=18,
				["Tree of Life"]=19,
				["Living Spirit"]=20,
				["Master Shapeshifter"]=21,
				["Gift of the Earthmother"]=22,
				["Wild Growth"]=23,
				["Living Seed"]=24,
				["Revitalize"]=25,
				["Improved Tree of Life"]=26,
				["Improved Barkskin"]=27,
			}
	},
	HUNTER = {
			{--Beast Mastery
				["Improved Aspect of the Monkey"]=1,
				["Improved Aspect of the Hawk"]=2,
				["Pathfinding"]=3,
				["Improved Mend Pet"]=4,
				["Bestial Wrath"]=5,
				["Intimidation"]=6,
				["Spirit Bond"]=7,
				["Endurance Training"]=8,
				["Bestial Discipline"]=9,
				["Ferocity"]=10,
				["Thick Hide"]=11,
				["Unleashed Fury"]=12,
				["Frenzy"]=13,
				["Focused Fire"]=14,
				["Improved Revive Pet"]=15,
				["Animal Handler"]=16,
				["Ferocious Inspiration"]=17,
				["Catlike Reflexes"]=18,
				["Serpent's Swiftness"]=19,
				["The Beast Within"]=20,
				["Invigoration"]=21,
				["Cobra Strikes"]=22,
				["Aspect Mastery"]=23,
				["Beast Mastery"]=24,
				["Longevity"]=25,
				["Kindred Spirits"]=26,
			},
			{--Marksmanship
				["Improved Concussive Shot"]=1,
				["Efficiency"]=2,
				["Improved Hunter's Mark"]=3,
				["Lethal Shots"]=4,
				["Aimed Shot"]=5,
				["Improved Arcane Shot"]=6,
				["Barrage"]=7,
				["Improved Stings"]=8,
				["Mortal Shots"]=9,
				["Concussive Barrage"]=10,
				["Readiness"]=11,
				["Trueshot Aura"]=12,
				["Ranged Weapon Specialization"]=13,
				["Combat Experience"]=14,
				["Careful Aim"]=15,
				["Master Marksman"]=16,
				["Silencing Shot"]=17,
				["Go for the Throat"]=18,
				["Rapid Killing"]=19,
				["Improved Barrage"]=20,
				["Piercing Shots"]=21,
				["Rapid Recuperation"]=22,
				["Wild Quiver"]=23,
				["Improved Steady Shot"]=24,
				["Marked for Death"]=25,
				["Chimera Shot"]=26,
				["Focused Aim"]=27,	
			},
			{--Survival
				["Lightning Reflexes"]=1,
				["Entrapment"]=2,
				["Trap Mastery"]=3,
				["Lock and Load"]=4,
				["Survival Tactics"]=5,
				["Surefooted"]=6,
				["Deflection"]=7,
				["Counterattack"]=8,
				["Killer Instinct"]=9,
				["Black Arrow"]=10,
				["Wyvern Sting"]=11,
				["Savage Strikes"]=12,
				["Survivalist"]=13,
				["Improved Tracking"]=14,
				["Resourcefulness"]=15,
				["Survival Instincts"]=16,
				["Thrill of the Hunt"]=17,
				["Expose Weakness"]=18,
				["Master Tactician"]=19,
				["Scatter Shot"]=20,
				["Hawk Eye"]=21,
				["Noxious Stings"]=22,
				["Point of No Escape"]=23,
				["Sniper Training"]=24,
				["Hunting Party"]=25,
				["Explosive Shot"]=26,
				["Hunter vs. Wild"]=27,
				["T.N.T."]=28,
			}
	},
	MAGE = {
			{--Arcane
				["Arcane Subtlety"]=1,
				["Arcane Concentration"]=2,
				["Arcane Focus"]=3,
				["Arcane Mind"]=4,
				["Arcane Stability"]=5,
				["Spell Impact"]=6,
				["Magic Attunement"]=7,
				["Arcane Shielding"]=8,
				["Arcane Fortitude"]=9,
				["Presence of Mind"]=10,
				["Arcane Power"]=11,
				["Improved Counterspell"]=12,
				["Arcane Instability"]=13,
				["Arcane Meditation"]=14,
				["Magic Absorption"]=15,
				["Improved Blink"]=16,
				["Arcane Potency"]=17,
				["Prismatic Cloak"]=18,
				["Arcane Empowerment"]=19,
				["Mind Mastery"]=20,
				["Slow"]=21,
				["Spell Power"]=22,
				["Arcane Flows"]=23,
				["Incanter's Absorption"]=24,
				["Student of the Mind"]=25,
				["Netherwind Presence"]=26,
				["Arcane Barrage"]=27,
				["Missile Barrage"]=28,
				["Focus Magic"]=29,
				["Torment the Weak"]=30,
			},
			{--Fire
				["Burning Soul"]=1,
				["Molten Shields"]=2,
				["Improved Scorch"]=3,
				["Improved Fireball"]=4,
				["Improved Fire Blast"]=5,
				["Flame Throwing"]=6,
				["Pyroblast"]=7,
				["Impact"]=8,
				["World in Flames"]=9,
				["Blast Wave"]=10,
				["Critical Mass"]=11,
				["Ignite"]=12,
				["Fire Power"]=13,
				["Combustion"]=14,
				["Incineration"]=15,
				["Master of Elements"]=16,
				["Playing with Fire"]=17,
				["Blazing Speed"]=18,
				["Molten Fury"]=19,
				["Pyromaniac"]=20,
				["Empowered Fire"]=21,
				["Dragon's Breath"]=22,
				["Fiery Payback"]=23,
				["Firestarter"]=24,
				["Hot Streak"]=25,
				["Burnout"]=26,
				["Living Bomb"]=27,
				["Burning Determination"]=28,
			},
			{--Frost
				["Improved Frostbolt"]=1,
				["Frostbite"]=2,
				["Piercing Ice"]=3,
				["Ice Floes"]=4,
				["Improved Blizzard"]=5,
				["Improved Cone of Cold"]=6,
				["Permafrost"]=7,
				["Frost Channeling"]=8,
				["Shatter"]=9,
				["Winter's Chill"]=10,
				["Icy Veins"]=11,
				["Frost Warding"]=12,
				["Ice Barrier"]=13,
				["Cold Snap"]=14,
				["Ice Shards"]=15,
				["Arctic Reach"]=16,
				["Precision"]=17,
				["Frozen Core"]=18,
				["Cold as Ice"]=19,
				["Arctic Winds"]=20,
				["Empowered Frostbolt"]=21,
				["Summon Water Elemental"]=22,
				["Fingers of Frost"]=23,
				["Brain Freeze"]=24,
				["Enduring Winter"]=25,
				["Chilled to the Bone"]=26,
				["Deep Freeze"]=27,
				["Shattered Barrier"]=28,
			},
	},
	PALADIN = {
			{--Holy
				["Spiritual Focus"]=1,
				["Divine Favor"]=2,
				["Aura Mastery"]=3,
				["Improved Lay on Hands"]=4,
				["Healing Light"]=5,
				["Improved Blessing of Wisdom"]=6,
				["Divine Intellect"]=7,
				["Improved Concentration Aura"]=8,
				["Illumination"]=9,
				["Seals of the Pure"]=10,
				["Sanctified Light"]=11,
				["Holy Shock"]=12,
				["Holy Power"]=13,
				["Unyielding Faith"]=14,
				["Pure of Heart"]=15,
				["Purifying Power"]=16,
				["Blessed Life"]=17,
				["Light's Grace"]=18,
				["Holy Guidance"]=19,
				["Divine Illumination"]=20,
				["Sacred Cleansing"]=21,
				["Enlightened Judgements"]=22,
				["Beacon of Light"]=23,
				["Infusion of Light"]=24,
				["Blessed Hands"]=25,
				["Judgements of the Pure"]=26,
			},
			{--Protection
				["Redoubt"]=1,
				["Improved Devotion Aura"]=2,
				["Toughness"]=3,
				["Guardian's Favor"]=4,
				["Reckoning"]=5,
				["One-Handed Weapon Specialization"]=6,
				["Holy Shield"]=7,
				["Blessing of Sanctuary"]=8,
				["Divinity"]=9,
				["Improved Righteous Fury"]=10,
				["Improved Hammer of Justice"]=11,
				["Anticipation"]=12,
				["Stoicism"]=13,
				["Sacred Duty"]=14,
				["Ardent Defender"]=15,
				["Combat Expertise"]=16,
				["Avenger's Shield"]=17,
				["Divine Strength"]=18,
				["Guarded by the Light"]=19,
				["Touched by the Light"]=20,
				["Hammer of the Righteous"]=21,
				["Judgements of the Just"]=22,
				["Shield of the Templar"]=23,
				["Divine Sacrifice"]=24,
				["Divine Guardian"]=25,
				["Spiritual Attunement"]=26,
			},
			{--Retribution
				["Improved Blessing of Might"]=1,
				["Vengeance"]=2,
				["Deflection"]=3,
				["Benediction"]=4,
				["Two-Handed Weapon Specialization"]=5,
				["Conviction"]=6,
				["Repentance"]=7,
				["Heart of the Crusader"]=8,
				["Seal of Command"]=9,
				["Improved Judgements"]=10,
				["Eye for an Eye"]=11,
				["Vindication"]=12,
				["Pursuit of Justice"]=13,
				["Crusade"]=14,
				["Sanctified Retribution"]=15,
				["Divine Purpose"]=16,
				["Judgements of the Wise"]=17,
				["Fanaticism"]=18,
				["Sanctity of Battle"]=19,
				["Crusader Strike"]=20,
				["Sanctified Wrath"]=21,
				["Swift Retribution"]=22,
				["Righteous Vengeance"]=23,
				["Divine Storm"]=24,
				["The Art of War"]=25,
				["Sheath of Light"]=26,
			},
	},
	PRIEST = {
			{--Discipline
				["Martyrdom"]=1,
				["Power Infusion"]=2,
				["Mental Agility"]=3,
				["Unbreakable Will"]=4,
				["Improved Power Word: Shield"]=5,
				["Improved Power Word: Fortitude"]=6,
				["Improved Inner Fire"]=7,
				["Meditation"]=8,
				["Inner Focus"]=9,
				["Improved Mana Burn"]=10,
				["Soul Warding"]=11,
				["Silent Resolve"]=12,
				["Mental Strength"]=13,
				["Borrowed Time"]=14,
				["Absolution"]=15,
				["Focused Power"]=16,
				["Enlightenment"]=17,
				["Improved Flash Heal"]=18,
				["Pain Suppression"]=19,
				["Focused Will"]=20,
				["Aspiration"]=21,
				["Divine Aegis"]=22,
				["Rapture"]=23,
				["Penance"]=24,
				["Twin Disciplines"]=25,
				["Grace"]=26,
				["Renewed Hope"]=27,
				["Reflective Shield"]=28,
			},
			{--Holy
				["Inspiration"]=1,
				["Holy Specialization"]=2,
				["Spiritual Guidance"]=3,
				["Searing Light"]=4,
				["Spiritual Healing"]=5,
				["Improved Renew"]=6,
				["Improved Healing"]=7,
				["Healing Focus"]=8,
				["Spell Warding"]=9,
				["Healing Prayers"]=10,
				["Desperate Prayer"]=11,
				["Divine Fury"]=12,
				["Spirit of Redemption"]=13,
				["Holy Reach"]=14,
				["Blessed Recovery"]=15,
				["Lightwell"]=16,
				["Blessed Resilience"]=17,
				["Surge of Light"]=18,
				["Empowered Healing"]=19,
				["Holy Concentration"]=20,
				["Circle of Healing"]=21,
				["Empowered Renew"]=22,
				["Test of Faith"]=23,
				["Serendipity"]=24,
				["Divine Providence"]=25,
				["Guardian Spirit"]=26,
				["Body and Soul"]=27,
		},
			{--Shadow
				["Shadow Weaving"]=1,
				["Darkness"]=2,
				["Shadow Focus"]=3,
				["Spirit Tap"]=4,
				["Shadow Affinity"]=5,
				["Improved Mind Blast"]=6,
				["Improved Shadow Word: Pain"]=7,
				["Veiled Shadows"]=8,
				["Vampiric Embrace"]=9,
				["Mind Flay"]=10,
				["Shadowform"]=11,
				["Silence"]=12,
				["Improved Psychic Scream"]=13,
				["Shadow Reach"]=14,
				["Improved Vampiric Embrace"]=15,
				["Focused Mind"]=16,
				["Shadow Power"]=17,
				["Vampiric Touch"]=18,
				["Mind Melt"]=19,
				["Misery"]=20,
				["Improved Shadowform"]=21,
				["Twisted Faith"]=22,
				["Psychic Horror"]=23,
				["Pain and Suffering"]=24,
				["Dispersion"]=25,
				["Improved Spirit Tap"]=26,
				["Improved Devouring Plague"]=27,
			},
	},
	ROGUE = {
			{--Assassination
				["Improved Poisons"]=1,
				["Lethality"]=2,
				["Malice"]=3,
				["Remorseless Attacks"]=4,
				["Ruthlessness"]=5,
				["Murder"]=6,
				["Improved Eviscerate"]=7,
				["Puncturing Wounds"]=8,
				["Improved Expose Armor"]=9,
				["Improved Kidney Shot"]=10,
				["Cold Blood"]=11,
				["Overkill"]=12,
				["Seal Fate"]=13,
				["Vigor"]=14,
				["Vile Poisons"]=15,
				["Master Poisoner"]=16,
				["Find Weakness"]=17,
				["Mutilate"]=18,
				["Fleet Footed"]=19,
				["Deadened Nerves"]=20,
				["Quick Recovery"]=21,
				["Deadly Brew"]=22,
				["Turn the Tables"]=23,
				["Blood Spatter"]=24,
				["Focused Attacks"]=25,
				["Cut to the Chase"]=26,
				["Hunger For Blood"]=27,
			},
			{--Combat
				["Precision"]=1,
				["Close Quarters Combat"]=2,
				["Mace Specialization"]=3,
				["Lightning Reflexes"]=4,
				["Deflection"]=5,
				["Improved Sinister Strike"]=6,
				["Improved Gouge"]=7,
				["Endurance"]=8,
				["Adrenaline Rush"]=9,
				["Improved Kick"]=10,
				["Dual Wield Specialization"]=11,
				["Improved Sprint"]=12,
				["Blade Flurry"]=13,
				["Hack and Slash"]=14,
				["Riposte"]=15,
				["Aggression"]=16,
				["Weapon Expertise"]=17,
				["Vitality"]=18,
				["Blade Twisting"]=19,
				["Nerves of Steel"]=20,
				["Surprise Attacks"]=21,
				["Combat Potency"]=22,
				["Improved Slice and Dice"]=23,
				["Throwing Specialization"]=24,
				["Unfair Advantage"]=25,
				["Savage Combat"]=26,
				["Prey on the Weak"]=27,
				["Killing Spree"]=28,
			},
			{--Subtlety
				["Master of Deception"]=1,
				["Camouflage"]=2,
				["Initiative"]=3,
				["Setup"]=4,
				["Elusiveness"]=5,
				["Opportunity"]=6,
				["Dirty Tricks"]=7,
				["Improved Ambush"]=8,
				["Dirty Deeds"]=9,
				["Preparation"]=10,
				["Ghostly Strike"]=11,
				["Premeditation"]=12,
				["Hemorrhage"]=13,
				["Serrated Blades"]=14,
				["Sleight of Hand"]=15,
				["Heightened Senses"]=16,
				["Deadliness"]=17,
				["Enveloping Shadows"]=18,
				["Sinister Calling"]=19,
				["Master of Subtlety"]=20,
				["Shadowstep"]=21,
				["Cheat Death"]=22,
				["Waylay"]=23,
				["Honor Among Thieves"]=24,
				["Filthy Tricks"]=25,
				["Slaughter from the Shadows"]=26,
				["Shadow Dance"]=27,
				["Relentless Strikes"]=28,		
			},
	},		
	SHAMAN = {
			{--Elemental
				["Call of Flame"]=1,
				["Call of Thunder"]=2,
				["Concussion"]=3,
				["Convection"]=4,
				["Elemental Fury"]=5,
				["Improved Fire Nova"]=6,
				["Elemental Mastery"]=7,
				["Elemental Focus"]=8,
				["Reverberation"]=9,
				["Lightning Mastery"]=10,
				["Elemental Warding"]=11,
				["Elemental Reach"]=12,
				["Eye of the Storm"]=13,
				["Elemental Devastation"]=14,
				["Unrelenting Storm"]=15,
				["Elemental Precision"]=16,
				["Lightning Overload"]=17,
				["Totem of Wrath"]=18,
				["Elemental Oath"]=19,
				["Astral Shift"]=20,
				["Lava Flows"]=21,
				["Storm, Earth and Fire"]=22,
				["Thunderstorm"]=23,
				["Shamanism"]=24,
				["Booming Echoes"]=25,
			},
			{--Enhancement
				["Anticipation"]=1,
				["Flurry"]=2,
				["Improved Ghost Wolf"]=3,
				["Improved Shields"]=4,
				["Guardian Totems"]=5,
				["Enhancing Totems"]=6,
				["Elemental Weapons"]=7,
				["Thundering Strikes"]=8,
				["Ancestral Knowledge"]=9,
				["Toughness"]=10,
				["Spirit Weapons"]=11,
				["Shamanistic Focus"]=12,
				["Stormstrike"]=13,
				["Weapon Mastery"]=14,
				["Improved Windfury Totem"]=15,
				["Unleashed Rage"]=16,
				["Dual Wield"]=17,
				["Mental Quickness"]=18,
				["Dual Wield Specialization"]=19,
				["Shamanistic Rage"]=20,
				["Improved Stormstrike"]=21,
				["Static Shock"]=22,
				["Earthen Power"]=23,
				["Maelstrom Weapon"]=24,
				["Feral Spirit"]=25,
				["Mental Dexterity"]=26,
				["Earth's Grasp"]=27,
				["Lava Lash"]=28,
				["Frozen Power"]=29,
			},
			{--Restoration
				["Ancestral Healing"]=1,
				["Tidal Force"]=2,
				["Improved Water Shield"]=3,
				["Improved Healing Wave"]=4,
				["Healing Focus"]=5,
				["Restorative Totems"]=6,
				["Improved Reincarnation"]=7,
				["Mana Tide Totem"]=8,
				["Nature's Swiftness"]=9,
				["Purification"]=10,
				["Tidal Focus"]=11,
				["Tidal Mastery"]=12,
				["Totemic Focus"]=13,
				["Healing Grace"]=14,
				["Healing Way"]=15,
				["Focused Mind"]=16,
				["Nature's Blessing"]=17,
				["Improved Chain Heal"]=18,
				["Earth Shield"]=19,
				["Nature's Guardian"]=20,
				["Improved Earth Shield"]=21,
				["Blessing of the Eternals"]=22,
				["Ancestral Awakening"]=23,
				["Tidal Waves"]=24,
				["Riptide"]=25,
				["Cleanse Spirit"]=26,	
			},
	},
	WARLOCK = {
			{--Affliction
				["Fel Concentration"]=1,
				["Nightfall"]=2,
				["Improved Corruption"]=3,
				["Soul Siphon"]=4,
				["Suppression"]=5,
				["Improved Curse of Weakness"]=6,
				["Improved Life Tap"]=7,
				["Grim Reach"]=8,
				["Dark Pact"]=9,
				["Siphon Life"]=10,
				["Shadow Mastery"]=11,
				["Amplify Curse"]=12,
				["Curse of Exhaustion"]=13,
				["Improved Drain Soul"]=14,
				["Improved Curse of Agony"]=15,
				["Malediction"]=16,
				["Improved Howl of Terror"]=17,
				["Contagion"]=18,
				["Unstable Affliction"]=19,
				["Shadow Embrace"]=20,
				["Empowered Corruption"]=21,
				["Improved Felhunter"]=22,
				["Death's Embrace"]=23,
				["Everlasting Affliction"]=24,
				["Eradication"]=25,
				["Haunt"]=26,
				["Improved Fear"]=27,
				["Pandemic"]=28,
			},
			{--Demonology
				["Improved Healthstone"]=1,
				["Improved Imp"]=2,
				["Demonic Embrace"]=3,
				["Improved Health Funnel"]=4,
				["Demonic Brutality"]=5,
				["Fel Domination"]=6,
				["Master Summoner"]=7,
				["Fel Vitality"]=8,
				["Improved Sayaad"]=9,
				["Master Demonologist"]=10,
				["Master Conjuror"]=11,
				["Unholy Power"]=12,
				["Demonic Knowledge"]=13,
				["Mana Feed"]=14,
				["Soul Link"]=15,
				["Molten Core"]=16,
				["Demonic Aegis"]=17,
				["Summon Felguard"]=18,
				["Demonic Tactics"]=19,
				["Demonic Resilience"]=20,
				["Demonic Empowerment"]=21,
				["Improved Demonic Tactics"]=22,
				["Fel Synergy"]=23,
				["Nemesis"]=24,
				["Demonic Pact"]=25,
				["Metamorphosis"]=26,
				["Decimation"]=27,
			},
			{--Destruction
				["Cataclysm"]=1,
				["Bane"]=2,
				["Improved Shadow Bolt"]=3,
				["Improved Immolate"]=4,
				["Shadowburn"]=5,
				["Destructive Reach"]=6,
				["Improved Searing Pain"]=7,
				["Emberstorm"]=8,
				["Ruin"]=9,
				["Conflagrate"]=10,
				["Devastation"]=11,
				["Aftermath"]=12,
				["Demonic Power"]=13,
				["Intensity"]=14,
				["Pyroclasm"]=15,
				["Shadowfury"]=16,
				["Shadow and Flame"]=17,
				["Soul Leech"]=18,
				["Nether Protection"]=19,
				["Backlash"]=20,
				["Molten Skin"]=21,
				["Backdraft"]=22,
				["Improved Soul Leech"]=23,
				["Fire and Brimstone"]=24,
				["Chaos Bolt"]=25,
				["Empowered Imp"]=26,
			},
	},
    WARRIOR = {
            { -- Arms
				["Deep Wounds"]=1,
				["Sword Specialization"]=2,
				["Improved Heroic Strike"]=3,
				["Mace Specialization"]=4,
				["Improved Charge"]=5,
				["Improved Rend"]=6,
				["Tactical Mastery"]=7,
				["Improved Hamstring"]=8,
				["Deflection"]=9,
				["Improved Overpower"]=10,
				["Poleaxe Specialization"]=11,
				["Sweeping Strikes"]=12,
				["Weapon Mastery"]=13,
				["Mortal Strike"]=14,
				["Two-Handed Weapon Specialization"]=15,
				["Anger Management"]=16,
				["Iron Will"]=17,
				["Impale"]=18,
				["Endless Rage"]=19,
				["Sudden Death"]=20,
				["Second Wind"]=21,
				["Blood Frenzy"]=22,
				["Improved Mortal Strike"]=23,
				["Trauma"]=24,
				["Unrelenting Assault"]=25,
				["Strength of Arms"]=26,
				["Bladestorm"]=27,
				["Wrecking Crew"]=28,
				["Taste for Blood"]=29,
				["Improved Slam"]=30,
				["Juggernaut"]=31,
           },
           { --Fury
				["Commanding Presence"]=1,
				["Enrage"]=2,
				["Flurry"]=3,
				["Cruelty"]=4,
				["Booming Voice"]=5,
				["Unbridled Wrath"]=6,
				["Piercing Howl"]=7,
				["Improved Demoralizing Shout"]=8,
				["Death Wish"]=9,
				["Improved Cleave"]=10,
				["Bloodthirst"]=11,
				["Blood Craze"]=12,
				["Improved Berserker Rage"]=13,
				["Improved Execute"]=14,
				["Improved Intercept"]=15,
				["Dual Wield Specialization"]=16,
				["Improved Whirlwind"]=17,
				["Precision"]=18,
				["Improved Berserker Stance"]=19,
				["Rampage"]=20,
				["Intensify Rage"]=21,
				["Furious Attacks"]=22,
				["Bloodsurge"]=23,
				["Titan's Grip"]=24,
				["Heroic Fury"]=25,
				["Unending Fury"]=26,
				["Armored to the Teeth"]=27,
           },
            { --Protection
				["Anticipation"]=1,
				["Toughness"]=2,
				["Improved Thunder Clap"]=3,
				["Improved Bloodrage"]=4,
				["Incite"]=5,
				["Puncture"]=6,
				["Improved Revenge"]=7,
				["Vigilance"]=8,
				["Gag Order"]=9,
				["Improved Disciplines"]=10,
				["Improved Disarm"]=11,
				["Concussion Blow"]=12,
				["Last Stand"]=13,
				["One-Handed Weapon Specialization"]=14,
				["Shield Specialization"]=15,
				["Improved Defensive Stance"]=16,
				["Vitality"]=17,
				["Shield Mastery"]=18,
				["Focused Rage"]=19,
				["Devastate"]=20,
				["Safeguard"]=21,
				["Sword and Board"]=22,
				["Shockwave"]=23,
				["Critical Block"]=24,
				["Warbringer"]=25,
				["Damage Shield"]=26,
				["Improved Spell Reflection"]=27,
           },
    }
}


DGV.TalentTemplates = {
DEATHKNIGHT = { 
		["Blood Leveling 51/20/0"] = {
				order = 1,
				["Butchery"]=2, --1939,
				--["Subversion"]=2, --1945,
				["Blade Barrier"]=5, --2017,
				["Bladed Armor"]=5, --1938
				--["Scent of Blood"]=5, --1948,,
				["Two-Handed Weapon Specialization"]=2, --2217,
				["Rune Tap"]=1, --1941,
				["Dark Conviction"]=5, --1943,
				["Death Rune Mastery"]=3, --2086,
				["Improved Rune Tap"]=3, --1942,
				--["Spell Deflection"]=11, --2018,
				["Vendetta"]=3, --1953,
				["Bloody Strikes"]=3, --2015,
				["Veteran of the Third War"]=3, --1950,
				--["Mark of Blood"]=15, --1949,
				--["Bloody Vengeance"]=16, --1944,
				["Abomination's Might"]=2, --2105,
				--["Bloodworms"]=18, --1960,
				["Unholy Frenzy"]=1, --1954,
				--["Improved Blood Presence"]=20, --1936,
				["Improved Death Strike"]=2, --2259,
				--["Sudden Doom"]=22, --1955,
				["Vampiric Blood"]=1, --2019,
				--["Will of the Necropolis"]=24, --1959,
				["Heart Strike"]=1, --1957,
				["Might of Mograine"]=3, --1958,
				["Blood Gorged"]=5, --2034,
				["Dancing Rune Weapon"]=1, --1961
				["Improved Icy Touch"]=3, --2031,
				--["Runic Power Mastery"]=2, --2020,
				["Toughness"]=5, --1968,
				--["Icy Reach"]=4, --2035,
				["Black Ice"]=5, --1973,
				--["Nerves of Cold Steel"]=6, --2022,
				["Icy Talons"]=5, --2042,
				--["Lichborne"]=8, --2215,
				--["Annihilation"]=9, --2048,
				--["Killing Machine"]=10, --2044,
				--["Chill of the Grave"]=12, --1981,
				["Endless Winter"]=2, --1971,				
		},
		["Frost Leveling 13/58/0"] = {
				order = 2,
				["Improved Icy Touch"]=3, --2031,
				["Runic Power Mastery"]=2, --2020,
				--["Toughness"]=3, --1968,
				["Icy Reach"]=2, --2035,
				["Black Ice"]=5, --1973,
				["Nerves of Cold Steel"]=3, --2022,
				["Icy Talons"]=5, --2042,
				["Lichborne"]=1, --2215,
				["Annihilation"]=3, --2048,
				["Killing Machine"]=5, --2044,
				--["Chill of the Grave"]=12, --1981,
				["Endless Winter"]=2, --1971,
				--["Frigid Dreadplate"]=14, --1990,
				["Glacier Rot"]=3, --2030,
				--["Deathchill"]=16, --1980,
				["Improved Icy Talons"]=1, --2223,
				["Merciless Combat"]=2, --1993,
				["Rime"]=3, --1992,
				["Chilblains"]=3, --2260,
				["Hungering Cold"]=1, --1999,
				--["Improved Frost Presence"]=22, --2029,
				["Threat of Thassarian"]=3, --2284		
				--["Blood of the North"]=24, --2210,
				["Unbreakable Armor"]=1, --1979,
				--["Acclimation"]=26, --1997,
				["Frost Strike"]=1, --1975,
				["Guile of Gorefiend"]=3, --2040,
				["Tundra Stalker"]=5, --1998,
				["Howling Blast"]=1, --1989,	
				["Butchery"]=2, --1939,
				--["Subversion"]=2, --1945,
				["Blade Barrier"]=3, --2017,
				["Bladed Armor"]=5, --1938
				--["Scent of Blood"]=5, --1948,,
				--["Two-Handed Weapon Specialization"]=6, --2217,
				--["Rune Tap"]=7, --1941,
				--["Dark Conviction"]=8, --1943,
				["Death Rune Mastery"]=3, --2086,				
		},
		["Unholy Leveling 12/0/59"] = {
				order = 3,
				["Vicious Strikes"]=2, --2082,
				["Virulence"]=3, --1932,
				--["Anticipation"]=3, --2218,
				["Epidemic"]=2, --1963,
				["Morbidity"]=3, --1933,
				--["Unholy Command"]=6, --2025,
				["Ravenous Dead"]=3, --1934,
				--["Outbreak"]=8, --2008,
				["Necrosis"]=5, --2047,
				--["Corpse Explosion"]=10, --1985,
				["On a Pale Horse"]=2, --2039,
				["Blood-Caked Blade"]=3, --2004,
				["Night of the Dead"]=2, --2225,
				--["Unholy Blight"]=14, --1996,
				["Impurity"]=5, --2005,
				--["Dirge"]=16, --2011,
				["Desecration"]=2, --2226,
				--["Magic Suppression"]=18, --2009,
				["Reaping"]=3, --2001,
				["Master of Ghouls"]=1, --1984,
				["Desolation"]=5, --2285,		
				--["Anti-Magic Zone"]=22, --2221,
				--["Improved Unholy Presence"]=23, --2013,
				["Ghoul Frenzy"]=1, --2085,
				["Crypt Fever"]=3, --1962,
				["Bone Shield"]=1, --2007,
				["Wandering Plague"]=3, --2003,
				["Ebon Plaguebringer"]=3, --2043,			
				["Scourge Strike"]=1, --2216,
				["Rage of Rivendare"]=5, --2036,
				["Summon Gargoyle"]=1, --2000,	
				["Butchery"]=2, --1939,
				--["Subversion"]=2, --1945,
				["Blade Barrier"]=3, --2017,
				["Bladed Armor"]=5, --1938
				--["Scent of Blood"]=5, --1948,,
				["Two-Handed Weapon Specialization"]=2, --2217,				
		},		
},
DRUID = {
	["Feral DPS/Tank Leveling 0/55/16"] = {
		order = 1,
			["Ferocity"]=5, --796,
			--["Feral Aggression"]=2, --795,
			["Feral Instinct"]=3, --799,
			["Savage Fury"]=2, --805,
			--["Thick Hide"]=5, --794,
			["Feral Swiftness"]=2, --807,
			["Survival Instincts"]=1, --1162,
			["Sharpened Claws"]=3, --798,
			--["Shredding Attacks"]=9, --802,
			["Predatory Strikes"]=3, --803,
			["Primal Fury"]=2, --801,
			["Primal Precision"]=2, --1914,
			--["Brutal Impact"]=13, --797,
			["Feral Charge"]=1, --804,
			["Nurturing Instinct"]=2, --1792,
			["Natural Reaction"]=3, --2242,
			["Heart of the Wild"]=5, --808,
			["Survival of the Fittest"]=3, --1794,
			["Leader of the Pack"]=1, --809,
			--["Improved Leader of the Pack"]=20, --1798,
			--["Primal Tenacity"]=21, --1793,
			["Protector of the Pack"]=3, --2241,
			--["Predatory Instincts"]=3, --1795,
			--["Infected Wounds"]=1, --1919,
			["King of the Jungle"]=3, --1921,
			["Mangle"]=1, --1796,
			["Improved Mangle"]=3, --1920,
			["Rend and Tear"]=5, --1918,
			["Primal Gore"]=1, --2266,
			["Berserk"]=1, --1927,		
			["Improved Mark of the Wild"]=2, --821,
			--["Nature's Focus"]=2, --823,
			["Furor"]=3, --822,
			["Naturalist"]=5, --824,
			--["Subtlety"]=5, --841,
			["Natural Shapeshifter"]=3, --826,
			--["Intensity"]=7, --829,
			["Omen of Clarity"]=1, --827,
			["Master Shapeshifter"]=2, --1915,
    },
	["Feral PVP 0/56/15"] = {
		order = 2,
			["Ferocity"]=5, --796,
			["Feral Aggression"]=3, --795,
			--["Feral Instinct"]=3, --799,
			["Savage Fury"]=2, --805,
			--["Thick Hide"]=5, --794,
			["Feral Swiftness"]=2, --807,
			["Survival Instincts"]=1, --1162,
			["Sharpened Claws"]=3, --798,
			["Shredding Attacks"]=2, --802,
			["Predatory Strikes"]=3, --803,
			["Primal Fury"]=2, --801,
			--["Primal Precision"]=2, --1914,
			["Brutal Impact"]=2, --797,
			["Feral Charge"]=1, --804,
			["Nurturing Instinct"]=2, --1792,
			--["Natural Reaction"]=3, --2242,
			["Heart of the Wild"]=5, --808,
			["Survival of the Fittest"]=3, --1794,
			["Leader of the Pack"]=1, --809,
			["Improved Leader of the Pack"]=2, --1798,
			--["Primal Tenacity"]=21, --1793,
			--["Protector of the Pack"]=3, --2241,
			["Predatory Instincts"]=3, --1795,
			["Infected Wounds"]=3, --1919,
			["King of the Jungle"]=3, --1921,
			["Mangle"]=1, --1796,
			--["Improved Mangle"]=3, --1920,
			["Rend and Tear"]=5, --1918,
			["Primal Gore"]=1, --2266,
			["Berserk"]=1, --1927,		
			--["Improved Mark of the Wild"]=2, --821,
			--["Nature's Focus"]=2, --823,
			["Furor"]=5, --822,
			["Naturalist"]=5, --824,
			--["Subtlety"]=5, --841,
			["Natural Shapeshifter"]=3, --826,
			--["Intensity"]=7, --829,
			["Omen of Clarity"]=1, --827,
			["Master Shapeshifter"]=1, --1915,
    },	
	["Feral Tank PVE 0/60/11"] = {
		order = 3,
			["Ferocity"]=5, --796,
			--["Feral Aggression"]=3, --795,
			["Feral Instinct"]=3, --799,
			["Savage Fury"]=2, --805,
			["Thick Hide"]=3, --794,
			["Feral Swiftness"]=2, --807,
			["Survival Instincts"]=1, --1162,
			["Sharpened Claws"]=3, --798,
			["Shredding Attacks"]=2, --802,
			["Predatory Strikes"]=3, --803,
			["Primal Fury"]=2, --801,
			["Primal Precision"]=2, --1914,
			--["Brutal Impact"]=2, --797,
			["Feral Charge"]=1, --804,
			--["Nurturing Instinct"]=2, --1792,
			["Natural Reaction"]=3, --2242,
			["Heart of the Wild"]=5, --808,
			["Survival of the Fittest"]=3, --1794,
			["Leader of the Pack"]=1, --809,
			["Improved Leader of the Pack"]=2, --1798,
			--["Primal Tenacity"]=21, --1793,
			["Protector of the Pack"]=3, --2241,
			--["Predatory Instincts"]=3, --1795,
			--["Infected Wounds"]=3, --1919,
			["King of the Jungle"]=3, --1921,
			["Mangle"]=1, --1796,
			["Improved Mangle"]=3, --1920,
			["Rend and Tear"]=5, --1918,
			["Primal Gore"]=1, --2266,
			["Berserk"]=1, --1927,		
			["Improved Mark of the Wild"]=2, --821,
			--["Nature's Focus"]=2, --823,
			["Furor"]=3, --822,
			["Naturalist"]=5, --824,
			--["Subtlety"]=5, --841,
			--["Natural Shapeshifter"]=3, --826,
			--["Intensity"]=7, --829,
			["Omen of Clarity"]=1, --827,
			--["Master Shapeshifter"]=1, --1915,
    },	
	["Balance PVE 58/0/13"] = {
		order = 4,
			["Starlight Wrath"]=5, --762,
			--["Genesis"]=2, --2238,
			["Moonglow"]=3, --783,
			["Nature's Majesty"]=2, --1822,
			--["Improved Moonfire"]=5, --763,
			--["Brambles"]=6, --782,
			["Nature's Grace"]=3, --789,
			["Nature's Splendor"]=1, --2240,
			["Nature's Reach"]=2, --764,
			["Vengeance"]=5, --792,
			["Celestial Focus"]=3, --784,
			["Lunar Guidance"]=3, --1782,
			["Insect Swarm"]=1, --788,
			["Improved Insect Swarm"]=2, --2239,
			--["Dreamstate"]=15, --1784,
			["Moonfury"]=3, --790,
			["Balance of Power"]=2, --1783,
			["Moonkin Form"]=1, --793,
			["Improved Moonkin Form"]=3, --1912,
			["Improved Faerie Fire"]=3, --1785,
			--["Owlkin Frenzy"]=21, --1913,
			["Wrath of Cenarius"]=5, --1786,
			["Eclipse"]=3, --1924,
			["Typhoon"]=1, --1923,
			["Force of Nature"]=1, --1787,
			["Gale Winds"]=2, --1925,
			["Earth and Moon"]=3, --1928,
			["Starfall"]=1, --1926,
			["Improved Mark of the Wild"]=2, --821,
			--["Nature's Focus"]=2, --823,
			["Furor"]=5, --822,
			--["Naturalist"]=4, --824,
			--["Subtlety"]=5, --841,
			["Natural Shapeshifter"]=3, --826,
			--["Intensity"]=7, --829,
			["Omen of Clarity"]=1, --827,
			["Master Shapeshifter"]=2, --1915,			
	},
	["Balance PVP 57/0/14"] = {
		order = 5,
			["Starlight Wrath"]=5, --762,
			--["Genesis"]=2, --2238,
			["Moonglow"]=2, --783,
			["Nature's Majesty"]=2, --1822,
			["Improved Moonfire"]=2, --763,
			--["Brambles"]=6, --782,
			["Nature's Grace"]=3, --789,
			["Nature's Splendor"]=1, --2240,
			["Nature's Reach"]=2, --764,
			["Vengeance"]=5, --792,
			["Celestial Focus"]=3, --784,
			["Lunar Guidance"]=3, --1782,
			["Insect Swarm"]=1, --788,
			--["Improved Insect Swarm"]=2, --2239,
			--["Dreamstate"]=15, --1784,
			["Moonfury"]=3, --790,
			["Balance of Power"]=2, --1783,
			["Moonkin Form"]=1, --793,
			["Improved Moonkin Form"]=3, --1912,
			--["Improved Faerie Fire"]=3, --1785,
			["Owlkin Frenzy"]=3, --1913,
			["Wrath of Cenarius"]=5, --1786,
			["Eclipse"]=3, --1924,
			["Typhoon"]=1, --1923,
			["Force of Nature"]=1, --1787,
			["Gale Winds"]=2, --1925,
			["Earth and Moon"]=3, --1928,
			["Starfall"]=1, --1926,
			["Improved Mark of the Wild"]=2, --821,
			["Nature's Focus"]=3, --823,
			--["Furor"]=5, --822,
			--["Naturalist"]=4, --824,
			--["Subtlety"]=5, --841,
			["Natural Shapeshifter"]=3, --826,
			--["Intensity"]=7, --829,
			["Omen of Clarity"]=1, --827,
			["Master Shapeshifter"]=2, --1915,		
	},	
	["Restoration PVE 18/0/53"] = {
		order = 5,
			["Improved Mark of the Wild"]=2, --821,
			["Nature's Focus"]=3, --823,
			--["Furor"]=3, --822,
			--["Naturalist"]=4, --824,
			["Subtlety"]=3, --841,
			["Natural Shapeshifter"]=3, --826,
			["Intensity"]=3, --829,
			["Omen of Clarity"]=1, --827,
			["Master Shapeshifter"]=2, --1915,
			--["Tranquil Spirit"]=3, --843,
			["Improved Rejuvenation"]=3, --830,
			["Nature's Swiftness"]=1, --831,
			["Gift of Nature"]=5, --828,
			--["Improved Tranquility"]=14, --842,
			--["Empowered Touch"]=15, --1788,
			["Nature's Bounty"]=5, --825,
			["Living Spirit"]=3, --1797,
			["Swiftmend"]=1, --844,
			--["Natural Perfection"]=19, --1790,
			["Empowered Rejuvenation"]=5, --1789,
			--["Living Seed"]=21, --1922,
			["Revitalize"]=3, --1929,
			["Tree of Life"]=1, --1791,
			["Improved Tree of Life"]=3, --1930,
			--["Improved Barkskin"]=25, --2264,
			["Gift of the Earthmother"]=5, --1916,
			["Wild Growth"]=1, --1917,
			--["Starlight Wrath"]=1, --762,
			["Genesis"]=5, --2238,
			["Moonglow"]=3, --783,
			["Nature's Majesty"]=2, --1822,
			--["Improved Moonfire"]=1, --763,
			["Brambles"]=1, --782,
			["Nature's Grace"]=3, --789,
			["Nature's Splendor"]=1, --2240,
			--["Nature's Reach"]=9, --764,
			--["Vengeance"]=10, --792,
			["Celestial Focus"]=3, --784,			
	},
	["Restoration PVP 13/0/58  "] = {
		order = 6,
			["Improved Mark of the Wild"]=2, --821,
			["Nature's Focus"]=3, --823,
			--["Furor"]=3, --822,
			--["Naturalist"]=4, --824,
			["Subtlety"]=3, --841,
			["Natural Shapeshifter"]=3, --826,
			["Intensity"]=3, --829,
			["Omen of Clarity"]=1, --827,
			["Master Shapeshifter"]=2, --1915,
			--["Tranquil Spirit"]=3, --843,
			["Improved Rejuvenation"]=3, --830,
			["Nature's Swiftness"]=1, --831,
			["Gift of Nature"]=5, --828,
			--["Improved Tranquility"]=14, --842,
			["Empowered Touch"]=2, --1788,
			["Nature's Bounty"]=3, --825,
			["Living Spirit"]=3, --1797,
			["Swiftmend"]=1, --844,
			["Natural Perfection"]=3, --1790,
			["Empowered Rejuvenation"]=5, --1789,
			--["Living Seed"]=21, --1922,
			["Revitalize"]=3, --1929,
			["Tree of Life"]=1, --1791,
			["Improved Tree of Life"]=3, --1930,
			["Improved Barkskin"]=2, --2264,
			["Gift of the Earthmother"]=5, --1916,
			["Wild Growth"]=1, --1917,
			--["Starlight Wrath"]=1, --762,
			["Genesis"]=5, --2238,
			["Moonglow"]=3, --783,
			["Nature's Majesty"]=2, --1822,
			--["Improved Moonfire"]=1, --763,
			--["Brambles"]=1, --782,
			--["Nature's Grace"]=3, --789,
			["Nature's Splendor"]=1, --2240,
			["Nature's Reach"]=2, --764,
			--["Vengeance"]=10, --792,
			--["Celestial Focus"]=3, --784,			
	},
	},
HUNTER = {
	["Beast Mastery Leveling 53/18/0"] = {
			["Improved Aspect of the Hawk"]=5, --1382
			["Endurance Training"]=1, --1389
			["Focused Fire"]=2, --1624
			--["Improved Aspect of the Monkey"]=2, --1381
			--["Thick Hide"]=5, --1395
			["Improved Revive Pet"]=2, --1625
			--["Pathfinding"]=7, --1384
			["Aspect Mastery"]=1, --2138,
			["Unleashed Fury"]=5, --1396
			--["Improved Mend Pet"]=10, --1385
			["Ferocity"]=5, --1393
			["Spirit Bond"]=2, --1388
			["Intimidation"]=1, --1387
			["Bestial Discipline"]=2, --1390
			["Animal Handler"]=2, --1799
			["Frenzy"]=4, --1397
			["Ferocious Inspiration"]=3, --1800
			["Bestial Wrath"]=1, --1386
			--["Catlike Reflexes"]=19, --1801
			["Invigoration"]=2, --2136,
			["Serpent's Swiftness"]=5, --1802
			["Longevity"]=3, --2140,
			["The Beast Within"]=1, --1803
			--["Cobra Strikes"]=24, --2137,
			["Kindred Spirits"]=5, --2227,
			["Beast Mastery"]=1, --2139,
			--["Improved Concussive Shot"]=1, --1341
			["Focused Aim"]=3, --2197,		
			["Lethal Shots"]=5, --1344
			--["Careful Aim"]=4, --1806,
			--["Improved Hunter's Mark"]=5, --1343
			["Mortal Shots"]=5, --1349
			["Go for the Throat"]=2, --1818
			--["Improved Arcane Shot"]=8, --1346
			["Aimed Shot"]=1, --1345
			["Rapid Killing"]=2, --1819			
	},
	["Beast Mastery PVE 56/15/0"] = {
		order = 2,
			["Improved Aspect of the Hawk"]=5, --1382
			["Endurance Training"]=1, --1389
			["Focused Fire"]=2, --1624
			--["Improved Aspect of the Monkey"]=2, --1381
			--["Thick Hide"]=5, --1395
			["Improved Revive Pet"]=2, --1625
			--["Pathfinding"]=7, --1384
			["Aspect Mastery"]=1, --2138,
			["Unleashed Fury"]=5, --1396
			--["Improved Mend Pet"]=10, --1385
			["Ferocity"]=5, --1393
			["Spirit Bond"]=1, --1388
			["Intimidation"]=1, --1387
			["Bestial Discipline"]=2, --1390
			["Animal Handler"]=2, --1799
			["Frenzy"]=4, --1397
			["Ferocious Inspiration"]=3, --1800
			["Bestial Wrath"]=1, --1386
			["Catlike Reflexes"]=3, --1801
			--["Invigoration"]=2, --2136,
			["Serpent's Swiftness"]=5, --1802
			["Longevity"]=3, --2140,
			["The Beast Within"]=1, --1803
			["Cobra Strikes"]=3, --2137,
			["Kindred Spirits"]=5, --2227,
			["Beast Mastery"]=1, --2139,
			--["Improved Concussive Shot"]=1, --1341
			--["Focused Aim"]=3, --2197,		
			["Lethal Shots"]=5, --1344
			["Careful Aim"]=3, --1806,
			--["Improved Hunter's Mark"]=5, --1343
			["Mortal Shots"]=5, --1349
			["Go for the Throat"]=1, --1818
			["Improved Arcane Shot"]=1, --1346
			--["Aimed Shot"]=1, --1345
			--["Rapid Killing"]=2, --1819	
	},	
	["Beast Mastery PVP 53/15/3"] = {
		order = 3,
			--["Improved Aspect of the Hawk"]=5, --1382
			["Endurance Training"]=5, --1389
			["Focused Fire"]=2, --1624
			--["Improved Aspect of the Monkey"]=2, --1381
			["Thick Hide"]=3, --1395
			["Improved Revive Pet"]=2, --1625
			--["Pathfinding"]=7, --1384
			["Aspect Mastery"]=1, --2138,
			["Unleashed Fury"]=5, --1396
			--["Improved Mend Pet"]=10, --1385
			["Ferocity"]=5, --1393
			--["Spirit Bond"]=1, --1388
			["Intimidation"]=1, --1387
			["Bestial Discipline"]=2, --1390
			["Animal Handler"]=2, --1799
			["Frenzy"]=3, --1397
			["Ferocious Inspiration"]=3, --1800
			["Bestial Wrath"]=1, --1386
			["Catlike Reflexes"]=3, --1801
			--["Invigoration"]=2, --2136,
			["Serpent's Swiftness"]=5, --1802
			["Longevity"]=3, --2140,
			["The Beast Within"]=1, --1803
			["Cobra Strikes"]=3, --2137,
			["Kindred Spirits"]=5, --2227,
			["Beast Mastery"]=1, --2139,
			--["Improved Concussive Shot"]=1, --1341
			--["Focused Aim"]=3, --2197,		
			["Lethal Shots"]=5, --1344
			["Careful Aim"]=3, --1806,
			--["Improved Hunter's Mark"]=5, --1343
			["Mortal Shots"]=5, --1349
			["Go for the Throat"]=1, --1818
			--["Improved Arcane Shot"]=1, --1346
			["Aimed Shot"]=1, --1345
			--["Rapid Killing"]=2, --1819	
			["Hawk Eye"]=3, --1820
	},		
	["Marksmanship PVE 7/57/7"] = {
		order = 4,
			--["Improved Concussive Shot"]=3, --1341
			["Focused Aim"]=3, --2197,		
			["Lethal Shots"]=5, --1344
			["Careful Aim"]=3, --1806,
			--["Improved Hunter's Mark"]=5, --1343
			["Go for the Throat"]=1, --1818
			["Mortal Shots"]=5, --1349
			--["Improved Arcane Shot"]=8, --1346
			["Aimed Shot"]=1, --1345
			["Rapid Killing"]=2, --1819
			["Improved Stings"]=3, --1348
			--["Efficiency"]=12, --1342
			--["Concussive Barrage"]=13, --1351
			["Readiness"]=1, --1353,
			["Barrage"]=3, --1347,
			["Combat Experience"]=2, --1804
			["Ranged Weapon Specialization"]=3, --1362
			["Piercing Shots"]=3, --2130,
			["Trueshot Aura"]=1, --1361,
			["Improved Barrage"]=3, --1821,
			["Master Marksman"]=5, --1807
			--["Rapid Recuperation"]=22, --2131,
			["Wild Quiver"]=3, --2132,
			["Silencing Shot"]=1, --1808,
			["Improved Steady Shot"]=3, --2133,
			["Marked for Death"]=5, --2134,
			["Chimera Shot"]=1, --2135,		
			["Improved Aspect of the Hawk"]=5, --1382
			--["Endurance Training"]=2, --1389
			["Focused Fire"]=2, --1624
			["Improved Tracking"]=5, --1623,
			["Survival Instincts"]=2, --1810			
	},	
	["Marksmanship PVP 7/51/13"] = {
		order = 5,
			["Improved Aspect of the Hawk"]=5, --1382
			--["Endurance Training"]=2, --1389
			["Focused Fire"]=2, --1624
			--["Improved Concussive Shot"]=3, --1341
			--["Focused Aim"]=3, --2197,		
			["Lethal Shots"]=5, --1344
			["Careful Aim"]=3, --1806,
			--["Improved Hunter's Mark"]=5, --1343
			["Mortal Shots"]=5, --1349
			["Go for the Throat"]=1, --1818
			["Improved Arcane Shot"]=3, --1346
			["Aimed Shot"]=1, --1345
			--["Rapid Killing"]=2, --1819
			["Improved Stings"]=3, --1348
			--["Efficiency"]=12, --1342
			["Concussive Barrage"]=2, --1351
			["Readiness"]=1, --1353,
			["Barrage"]=3, --1347,
			["Combat Experience"]=2, --1804
			["Ranged Weapon Specialization"]=3, --1362
			["Piercing Shots"]=3, --2130,
			["Trueshot Aura"]=1, --1361,
			--["Improved Barrage"]=3, --1821,
			["Master Marksman"]=5, --1807
			--["Rapid Recuperation"]=22, --2131,
			["Wild Quiver"]=3, --2132,
			["Silencing Shot"]=1, --1808,
			--["Improved Steady Shot"]=3, --2133,
			["Marked for Death"]=5, --2134,
			["Chimera Shot"]=1, --2135,		
			["Improved Aspect of the Hawk"]=5, --1382
			--["Endurance Training"]=2, --1389
			["Focused Fire"]=2, --1624
			["Improved Tracking"]=2, --1623,
			["Hawk Eye"]=3, --1820
			--["Savage Strikes"]=3, --1621
			--["Surefooted"]=4, --1310
			["Entrapment"]=3, --1304,
			--["Trap Mastery"]=6, --1305,
			["Survival Instincts"]=2, --1810
			--["Survivalist"]=8, --1622
			["Scatter Shot"]=1, --1814,
			--["Deflection"]=10, --1311,
			["Survival Tactics"]=2, --1309,			
	},		
	["Survival PVE 0/18/53"] = {
		order = 6,
			--["Improved Concussive Shot"]=1, --1341
			["Focused Aim"]=3, --2197,		
			["Lethal Shots"]=5, --1344
			["Careful Aim"]=3, --1806,
			--["Improved Hunter's Mark"]=5, --1343
			["Mortal Shots"]=5, --1349
			["Go for the Throat"]=1, --1818
			--["Improved Arcane Shot"]=8, --1346
			["Aimed Shot"]=1, --1345
			["Improved Tracking"]=5, --1623,
			--["Hawk Eye"]=2, --1820
			--["Savage Strikes"]=3, --1621
			--["Surefooted"]=4, --1310
			--["Entrapment"]=5, --1304,
			["Trap Mastery"]=3, --1305,
			["Survival Instincts"]=2, --1810
			["Survivalist"]=5, --1622
			--["Scatter Shot"]=9, --1814,
			--["Deflection"]=10, --1311,
			--["Survival Tactics"]=11, --1309,
			["T.N.T."]=3, --2229,		
			["Lock and Load"]=3, --1306,
			["Hunter vs. Wild"]=3, --2228,
			["Killer Instinct"]=3, --1321
			--["Counterattack"]=16, --1312
			["Lightning Reflexes"]=5, --1303
			["Resourcefulness"]=1, --1809
			["Expose Weakness"]=2, --1812
			["Wyvern Sting"]=1, --1325
			["Thrill of the Hunt"]=3, --1811
			["Master Tactician"]=5, --1813
			["Noxious Stings"]=3, --2141,						
			--["Point of No Escape"]=24, --2142,					
			["Black Arrow"]=1, --1322,
			["Sniper Training"]=3, --2143,
			["Hunting Party"]=1, --2144,
			["Explosive Shot"]=1, --2145,
	},	
	["Survival PVP 0/20/41"] = {
		order = 6,
			--["Improved Concussive Shot"]=1, --1341
			["Focused Aim"]=3, --2197,		
			["Lethal Shots"]=5, --1344
			["Careful Aim"]=3, --1806,
			--["Improved Hunter's Mark"]=5, --1343
			["Mortal Shots"]=5, --1349
			["Go for the Throat"]=1, --1818
			--["Improved Arcane Shot"]=8, --1346
			["Aimed Shot"]=1, --1345
			["Improved Tracking"]=5, --1623,
			--["Hawk Eye"]=2, --1820
			--["Savage Strikes"]=3, --1621
			--["Surefooted"]=4, --1310
			--["Entrapment"]=5, --1304,
			["Trap Mastery"]=3, --1305,
			["Survival Instincts"]=2, --1810
			["Survivalist"]=5, --1622
			--["Scatter Shot"]=9, --1814,
			--["Deflection"]=10, --1311,
			--["Survival Tactics"]=11, --1309,
			["T.N.T."]=3, --2229,		
			["Lock and Load"]=3, --1306,
			["Hunter vs. Wild"]=3, --2228,
			["Killer Instinct"]=3, --1321
			--["Counterattack"]=16, --1312
			["Lightning Reflexes"]=5, --1303
			["Resourcefulness"]=1, --1809
			["Expose Weakness"]=2, --1812
			["Wyvern Sting"]=1, --1325
			["Thrill of the Hunt"]=3, --1811
			["Master Tactician"]=5, --1813
			["Noxious Stings"]=3, --2141,						
			--["Point of No Escape"]=24, --2142,					
			["Black Arrow"]=1, --1322,
			["Sniper Training"]=3, --2143,
			["Hunting Party"]=1, --2144,
			["Explosive Shot"]=1, --2145,
	},		
    },
MAGE = {
	["Arcane 56/3/12"] = {
		order = 1,
			["Incineration"]=3, --1141,
			["Arcane Subtlety"]=2, --74
			["Arcane Focus"]=3, --76
			--["Arcane Stability"]=3, --80,
			--["Arcane Fortitude"]=4, --85,
			--["Magic Absorption"]=5, --1650	
			["Arcane Concentration"]=5, --75
			["Magic Attunement"]=2, --82
			["Spell Impact"]=3, --81,
			["Student of the Mind"]=1, --1845,
			["Focus Magic"]=1, --2211,
			--["Arcane Shielding"]=11, --83,
			--["Improved Counterspell"]=12, --88
			["Arcane Meditation"]=3, --1142
			["Torment the Weak"]=3, --2222,
			--["Improved Blink"]=15, --1724		
			["Presence of Mind"]=1, --86
			["Arcane Mind"]=5, --77,
			--["Prismatic Cloak"]=18, --1726,
			["Arcane Instability"]=3, --421,
			["Arcane Potency"]=2, --1725,
			["Arcane Empowerment"]=3, --1727,
			["Arcane Power"]=1, --87
			--["Incanter's Absorption"]=2, --1844,
			["Arcane Flows"]=2, --1843,
			["Mind Mastery"]=5, --1728
			--["Slow"]=27, --1729
			["Missile Barrage"]=5, --2209,
			["Netherwind Presence"]=3, --1846,
			["Spell Power"]=2, --1826,
			["Arcane Barrage"]=1, --1847,
			--["Frostbite"]=1, --38,
			["Improved Frostbolt"]=2, --37,
			["Ice Floes"]=3, --62,
			["Ice Shards"]=3, --73,
			--["Frost Warding"]=5, --70,
			["Precision"]=3, --1649,
			--["Permafrost"]=7, --65,
			--["Piercing Ice"]=8, --61,
			["Icy Veins"]=1, --69,			
	},
	["Fire 18/53/0"] = {
		order = 2,
			--["Improved Fire Blast"]=1, --27,
			--["Incineration"]=2, --1141,
			["Improved Fireball"]=5, --26,
			["Ignite"]=5, --34,
			--["Burning Determination"]=5, --2212,		
			["World in Flames"]=3, --31,
			--["Flame Throwing"]=7, --28,
			--["Impact"]=8, --30,
			["Pyroblast"]=1, --29,
			["Burning Soul"]=2, --23,
			["Improved Scorch"]=3, --25,		
			--["Molten Shields"]=12, --24,
			["Master of Elements"]=2, --1639,
			["Playing with Fire"]=3, --1730,
			["Critical Mass"]=3, --33,
			["Blast Wave"]=1, --32,
			--["Blazing Speed"]=17, --1731,
			["Fire Power"]=5, --35,
			["Pyromaniac"]=3, --1733,
			["Combustion"]=1, --36,
			["Molten Fury"]=2, --1732,
			--["Fiery Payback"]=22, --1848,
			["Empowered Fire"]=3, --1734,
			["Firestarter"]=1, --1849,
			["Dragon's Breath"]=1, --1735,
			["Hot Streak"]=3, --1850,
			["Burnout"]=5, --1851,
			["Living Bomb"]=1, --1852,
			["Arcane Subtlety"]=2, --74
			["Arcane Focus"]=3, --76
			--["Arcane Stability"]=3, --80,
			--["Arcane Fortitude"]=4, --85,
			--["Magic Absorption"]=5, --1650	
			["Arcane Concentration"]=5, --75
			--["Magic Attunement"]=7, --82
			["Spell Impact"]=3, --81,
			["Student of the Mind"]=1, --1845,
			["Focus Magic"]=1, --2211,
			--["Arcane Shielding"]=11, --83,
			--["Improved Counterspell"]=12, --88
			--["Arcane Meditation"]=13, --1142
			["Torment the Weak"]=3, --2222,			
	},	
	["Frost Leveling 18/0/53"] = {
		order = 3,
			--["Frostbite"]=1, --38,
			["Improved Frostbolt"]=5, --37,
			["Ice Floes"]=3, --62,
			["Ice Shards"]=3, --73,
			--["Frost Warding"]=5, --70,
			["Precision"]=3, --1649,
			--["Permafrost"]=7, --65,
			["Piercing Ice"]=3, --61,
			["Icy Veins"]=1, --69,
			["Improved Blizzard"]=1, --63,
			["Arctic Reach"]=1, --741,
			["Frost Channeling"]=3, --66,
			["Shatter"]=3, --67,
			["Cold Snap"]=1, --72,
			--["Improved Cone of Cold"]=15, --64,
			--["Frozen Core"]=16, --1736,
			--["Cold as Ice"]=17, --1737,
			["Winter's Chill"]=3, --68,
			--["Shattered Barrier"]=19, --2214,
			["Ice Barrier"]=1, --71,
			["Arctic Winds"]=5, --1738,
			["Empowered Frostbolt"]=2, --1740,
			["Fingers of Frost"]=2, --1853,
			["Brain Freeze"]=3, --1854,
			["Summon Water Elemental"]=1, --1741,
			["Enduring Winter"]=3, --1855,
			["Chilled to the Bone"]=5, --1856,
			["Deep Freeze"]=1, --1857,
			["Arcane Subtlety"]=2, --74
			["Arcane Focus"]=3, --76
			--["Arcane Stability"]=3, --80,
			--["Arcane Fortitude"]=4, --85,
			--["Magic Absorption"]=5, --1650	
			["Arcane Concentration"]=5, --75
			--["Magic Attunement"]=7, --82
			["Spell Impact"]=3, --81,
			["Student of the Mind"]=1, --1845,
			["Focus Magic"]=1, --2211,
			--["Arcane Shielding"]=11, --83,
			--["Improved Counterspell"]=12, --88
			--["Arcane Meditation"]=13, --1142
			["Torment the Weak"]=3, --2222,			
	},	
    },
PALADIN = {
	["Holy PVE 52/19/0"] = {
		order = 1,
			["Spiritual Focus"]=5, --1432,
			--["Seals of the Pure"]=2, --1463,
			["Healing Light"]=3, --1444,
			["Divine Intellect"]=5, --1449,
			--["Unyielding Faith"]=5, --1628,
			["Aura Mastery"]=1, --1435,
			["Illumination"]=5, --1461,
			["Improved Lay on Hands"]=2, --1443,
			--["Improved Concentration Aura"]=9, --1450,
			["Improved Blessing of Wisdom"]=2, --1446,
			--["Blessed Hands"]=11, --2198,
			--["Pure of Heart"]=12, --1742,
			["Divine Favor"]=1, --1433,
			["Sanctified Light"]=3, --1465,
			--["Purifying Power"]=15, --1743,
			["Holy Power"]=5, --1627,
			["Light's Grace"]=5, --1745,
			["Holy Shock"]=1, --1502,
			--["Blessed Life"]=19, --1744,
			--["Sacred Cleansing"]=20, --2190,
			["Holy Guidance"]=5, --1746,
			["Divine Illumination"]=1, --1747,
			["Judgements of the Pure"]=5, --2199,
			["Infusion of Light"]=2, --2193,
			["Enlightened Judgements"]=2, --2191,
			["Beacon of Light"]=1, --2192,
			["Divinity"]=5, --1442,
			--["Divine Strength"]=2, --2185,
			["Stoicism"]=3, --1748,
			["Guardian's Favor"]=2, --1425,
			--["Anticipation"]=5, --1629,
			["Divine Sacrifice"]=1, --2280,
			--["Improved Righteoous Fury"]=7, --xxx,
			["Toughness"]=4, --1423,
			["Divine Guardian"]=2, --2281,
			--["Improved Hammer of Justice"]=10, --1521,
			["Improved Devotion Aura"]=2, --1422,			
		},
	["Holy PVP 52/19/0"] = {
		order = 2,
			["Spiritual Focus"]=5, --1432,
			--["Seals of the Pure"]=2, --1463,
			["Healing Light"]=3, --1444,
			["Divine Intellect"]=3, --1449,
			["Unyielding Faith"]=2, --1628,
			["Aura Mastery"]=1, --1435,
			["Illumination"]=5, --1461,
			--["Improved Lay on Hands"]=2, --1443,
			["Improved Concentration Aura"]=3, --1450,
			--["Improved Blessing of Wisdom"]=2, --1446,
			--["Blessed Hands"]=11, --2198,
			--["Pure of Heart"]=12, --1742,
			["Divine Favor"]=1, --1433,
			["Sanctified Light"]=3, --1465,
			--["Purifying Power"]=15, --1743,
			["Holy Power"]=5, --1627,
			--["Light's Grace"]=5, --1745,
			["Holy Shock"]=1, --1502,
			["Blessed Life"]=3, --1744,
			["Sacred Cleansing"]=3, --2190,
			["Holy Guidance"]=3, --1746,
			["Divine Illumination"]=1, --1747,
			["Judgements of the Pure"]=5, --2199,
			["Infusion of Light"]=2, --2193,
			["Enlightened Judgements"]=2, --2191,
			["Beacon of Light"]=1, --2192,
			["Divinity"]=5, --1442,
			--["Divine Strength"]=2, --2185,
			["Stoicism"]=3, --1748,
			["Guardian's Favor"]=2, --1425,
			--["Anticipation"]=5, --1629,
			["Divine Sacrifice"]=1, --2280,
			["Improved Righteous Fury"]=3, --xxx,
			["Toughness"]=1, --1423,
			["Divine Guardian"]=2, --2281,
			["Improved Hammer of Justice"]=2, --1521,
			--["Improved Devotion Aura"]=2, --1422,			
		},		
	["Protection PVE 0/51/20"] = {
			order = 3,
			--["Divinity"]=1, --1442,
			["Divine Strength"]=5, --2185,
			--["Stoicism"]=3, --1748,
			--["Guardian's Favor"]=4, --1425,
			["Anticipation"]=5, --1629,
			["Divine Sacrifice"]=1, --2280,
			["Improved Righteous Fury"]=3, --xxx,
			["Toughness"]=5, --1423,
			["Divine Guardian"]=2, --2281,
			--["Improved Hammer of Justice"]=10, --1521,
			--["Improved Devotion Aura"]=11, --1422,
			["Blessing of Sanctuary"]=1, --1431,
			["Reckoning"]=3, --1426,
			["Sacred Duty"]=2, --1750,
			["One-Handed Weapon Specialization"]=3, --1429,
			["Spiritual Attunement"]=1, --2282,
			["Holy Shield"]=1, --1430,
			["Ardent Defender"]=3, --1751,
			["Redoubt"]=3, --1421,
			["Combat Expertise"]=3, --1753,
			["Touched by the Light"]=3, --2195,
			["Avenger's Shield"]=1, --1754,
			["Guarded by the Light"]=2, --2194,
			["Shield of the Templar"]=3, --2204,
			--["Judgements of the Just"]=26, --2200,
			["Hammer of the Righteous"]=1, --2196,
			["Deflection"]=5, --1403,
			["Benediction"]=2, --1407,
			["Improved Judgements"]=1, --1631,
			--["Heart of the Crusader"]=4, --1464,
			["Improved Blessing of Might"]=2, --1401,
			["Vindication"]=2, --1633,
			--["Conviction"]=7, --1411,
			["Seal of Command"]=1, --1481,
			["Pursuit of Justice"]=2, --1634,
			--["Eye for an Eye"]=10, --1632,
			["Sanctity of Battle"]=2, --1761,
			["Crusade"]=3, --1755,			
		},	
	["Protection PVP 0/28/43"] = {
			order = 4,
			["Divinity"]=1, --1442,
			["Divine Strength"]=5, --2185,
			["Stoicism"]=3, --1748,
			["Guardian's Favor"]=2, --1425,
			--["Anticipation"]=5, --1629,
			["Divine Sacrifice"]=1, --2280,
			["Improved Righteous Fury"]=3, --xxx,
			--["Toughness"]=5, --1423,
			["Divine Guardian"]=2, --2281,
			["Improved Hammer of Justice"]=2, --1521,
			["Improved Devotion Aura"]=3, --1422,
			--["Blessing of Sanctuary"]=1, --1431,
			["Reckoning"]=3, --1426,
			--["Sacred Duty"]=2, --1750,
			["One-Handed Weapon Specialization"]=3, --1429,
			--["Deflection"]=1, --1403,
			["Benediction"]=5, --1407,
			["Improved Judgements"]=2, --1631,
			["Heart of the Crusader"]=3, --1464,
			--["Improved Blessing of Might"]=5, --1401,
			["Vindication"]=2, --1633,
			["Conviction"]=5, --1411,
			--["Seal of Command"]=8, --1481,
			--["Pursuit of Justice"]=9, --1634,
			["Eye for an Eye"]=1, --1632,
			["Sanctity of Battle"]=3, --1761,
			["Crusade"]=3, --1755,
			--["Two-Handed Weapon Specialization"]=13, --1410,
			["Sanctified Retribution"]=1, --1756,
			["Vengeance"]=3, --1402
			["Divine Purpose"]=2, --1757,
			["The Art of War"]=2, --2176,
			["Repentance"]=1, --1441,
			["Judgements of the Wise"]=3, --1758,
			["Fanaticism"]=2, --1759,
			["Sanctified Wrath"]=2, --2147,
			--["Swift Retribution"]=22, --2148,
			--["Crusader Strike"]=23, --1823,
			["Sheath of Light"]=3, --2179,
			--["Righteous Vengeance"]=25, --2149,
			--["Divine Storm"]=26, --2150,
		},	
	["Retribution PVE 11/5/55"] = {
			order = 5,
			--["Spiritual Focus"]=1, --1432,
			["Seals of the Pure"]=5, --1463,
			["Healing Light"]=3, --1444,
			--["Divine Intellect"]=4, --1449,
			["Unyielding Faith"]=2, --1628,
			["Aura Mastery"]=1, --1435,
			["Divine Strength"]=5, --2185,
			--["Deflection"]=1, --1403,
			["Benediction"]=5, --1407,
			["Improved Judgements"]=2, --1631,
			["Heart of the Crusader"]=3, --1464,
			["Improved Blessing of Might"]=2, --1401,
			--["Vindication"]=6, --1633,
			["Conviction"]=5, --1411,
			["Seal of Command"]=1, --1481,
			["Pursuit of Justice"]=2, --1634,
			--["Eye for an Eye"]=10, --1632,
			["Sanctity of Battle"]=3, --1761,
			["Crusade"]=3, --1755,
			["Two-Handed Weapon Specialization"]=3, --1410,
			["Sanctified Retribution"]=1, --1756,
			["Vengeance"]=3, --1402
			--["Divine Purpose"]=16, --1757,
			["The Art of War"]=2, --2176,
			["Repentance"]=1, --1441,
			["Judgements of the Wise"]=3, --1758,
			["Fanaticism"]=3, --1759,
			["Sanctified Wrath"]=2, --2147,
			["Swift Retribution"]=3, --2148,
			["Crusader Strike"]=1, --1823,
			["Sheath of Light"]=3, --2179,
			["Righteous Vengeance"]=3, --2149,
			["Divine Storm"]=1, --2150,
		},		
	["Retribution PVP 0/19/52"] = {
			order = 6,
			--["Deflection"]=1, --1403,
			["Benediction"]=5, --1407,
			["Improved Judgements"]=2, --1631,
			["Heart of the Crusader"]=3, --1464,
			--["Improved Blessing of Might"]=5, --1401,
			["Vindication"]=2, --1633,
			["Conviction"]=5, --1411,
			--["Seal of Command"]=8, --1481,
			["Pursuit of Justice"]=2, --1634,
			--["Eye for an Eye"]=10, --1632,
			["Sanctity of Battle"]=3, --1761,
			["Crusade"]=3, --1755,
			["Two-Handed Weapon Specialization"]=3, --1410,
			["Sanctified Retribution"]=1, --1756,
			["Vengeance"]=3, --1402
			["Divine Purpose"]=2, --1757,
			["The Art of War"]=2, --2176,
			["Repentance"]=1, --1441,
			["Judgements of the Wise"]=3, --1758,
			["Fanaticism"]=3, --1759,
			["Sanctified Wrath"]=2, --2147,
			--["Swift Retribution"]=22, --2148,
			["Crusader Strike"]=1, --1823,
			["Sheath of Light"]=3, --2179,
			["Righteous Vengeance"]=2, --2149,
			["Divine Storm"]=1, --2150,
			["Divinity"]=1, --1442,
			["Divine Strength"]=5, --2185,
			["Stoicism"]=3, --1748,
			["Guardian's Favor"]=2, --1425,
			--["Anticipation"]=5, --1629,
			["Divine Sacrifice"]=1, --2280,
			["Improved Righteous Fury"]=3, --xxx,
			--["Toughness"]=8, --1423,
			["Divine Guardian"]=2, --2281,
			["Improved Hammer of Justice"]=2, --1521,			
		},			
	},
PRIEST = {
	["Discipline PVE 57/14/0"] = {
		order = 1,
			--["Unbreakable Will"]=1, --342
			["Twin Disciplines"]=5, --1898,
			--["Silent Resolve"]=3, --352
			["Improved Inner Fire"]=3, --346				
			["Improved Power Word: Fortitude"]=2, --344
			--["Martyrdom"]=6, --321
			["Meditation"]=3, --347
			["Inner Focus"]=1, --348
			["Improved Power Word: Shield"]=3, --343
			--["Absolution"]=10, --1769
			["Mental Agility"]=3, --341
			--["Improved Mana Burn"]=12, --350
			--["Reflective Shield"]=13, --1773
			["Mental Strength"]=5, --1201
			["Soul Warding"]=1, --351,
			["Focused Power"]=2, --1771
			["Enlightenment"]=3, --1772
			["Focused Will"]=3, --1858
			["Power Infusion"]=1, --322
			["Improved Flash Heal"]=3, --1773,
			["Renewed Hope"]=2, --2235,
			["Rapture"]=3, --1896,
			["Aspiration"]=2, --1894,
			["Divine Aegis"]=3, --1895,
			["Pain Suppression"]=1, --1774
			["Grace"]=2, --1901,
			["Borrowed Time"]=5, --1202,
			["Penance"]=1, --1897,
			["Healing Focus"]=2, --410
			["Improved Renew"]=3, --406
			["Holy Specialization"]=5, --401
			--["Spell Warding"]=4, --411
			--["Divine Fury"]=5, --1181
			["Desperate Prayer"]=1, --442,
			--["Blessed Recovery"]=7, --1636
			["Inspiration"]=3, --361			
		},	
	["Holy PVE 18/53/0"] = {
		order = 2,
			["Healing Focus"]=2, --410
			["Improved Renew"]=3, --406
			["Holy Specialization"]=5, --401
			--["Spell Warding"]=4, --411
			["Divine Fury"]=5, --1181
			--["Desperate Prayer"]=6, --442,
			--["Blessed Recovery"]=7, --1636
			["Inspiration"]=3, --361
			["Holy Reach"]=2, --1635
			--["Improved Healing"]=10, --408
			--["Searing Light"]=11, --403
			["Healing Prayers"]=2, --413
			["Spirit of Redemption"]=1, --1561
			["Spiritual Guidance"]=5, --402
			["Surge of Light"]=2, --1766
			["Spiritual Healing"]=5, --404
			["Holy Concentration"]=3, --1768
			--["Lightwell"]=18, --1637
			["Blessed Resilience"]=2, --1765
			--["Body and Soul"]=20, --2279,	
			--["Empowered Healing"]=21, --1767
			["Serendipity"]=3, --1904,
			["Empowered Renew"]=3, --1902,
			["Circle of Healing"]=1, --1815
			--["Test of Faith"]=25, --1903,
			["Divine Providence"]=5, --1905,
			["Guardian Spirit"]=1, --1911,
			--["Unbreakable Will"]=1, --342
			["Twin Disciplines"]=5, --1898,
			--["Silent Resolve"]=3, --352
			["Improved Inner Fire"]=3, --346				
			["Improved Power Word: Fortitude"]=2, --344
			--["Martyrdom"]=6, --321
			["Meditation"]=3, --347
			["Inner Focus"]=1, --348
			["Improved Power Word: Shield"]=1, --343
			--["Absolution"]=10, --1769
			["Mental Agility"]=3, --341			
		},				
	["Shadow PVE 14/0/57"] = {
		order = 3,
			["Spirit Tap"]=3, --465
			["Improved Spirit Tap"]=2, --2027,
			["Darkness"]=5, --462,
			--["Shadow Affinity"]=3, --466
			["Improved Shadow Word: Pain"]=2, --482
			["Shadow Focus"]=3, --463
			--["Improved Psychic Scream"]=6, --542
			["Improved Mind Blast"]=5, --481
			["Mind Flay"]=1, --501
			["Veiled Shadows"]=2, --483,
			["Shadow Reach"]=2, --881
			["Shadow Weaving"]=3, --461
			--["Silence"]=12, --541
			["Vampiric Embrace"]=1, --484
			--["Improved Vampiric Embrace"]=14, --1638
			["Focused Mind"]=2, --1777
			["Mind Melt"]=2, --1781,
			["Improved Devouring Plague"]=3, --2267,		
			["Shadowform"]=1, --521
			["Shadow Power"]=5, --1778
			["Improved Shadowform"]=2, --1906,
			["Misery"]=3, --1816
			--["Psychic Horror"]=1, --1908,
			["Vampiric Touch"]=1, --1779
			["Pain and Suffering"]=3, --1909,
			["Twisted Faith"]=5, --1907,
			["Dispersion"]=1, --1910,		
			["Twin Disciplines"]=5,
			["Improved Inner Fire"]=3,
			["Improved Power Word: Fortitude"]=2,				
			["Meditation"]=3,
			["Inner Focus"]=1,
		},				
    },
ROGUE = {
	["Assassination PVE 51/13/7"] = {
			order = 1,
			--["Improved Eviscerate"]=1, --276
			--["Remorseless Attacks"]=2, --272
			["Malice"]=5, --270
			["Ruthlessness"]=3, --273
			--["Blood Spatter"]=5, --2068,
			["Puncturing Wounds"]=3, --277
			--["Vigor"]=7, --382,
			--["Improved Expose Armor"]=8, --278
			["Lethality"]=5, --269
			["Vile Poisons"]=3, --682
			["Improved Poisons"]=5, --268
			["Fleet Footed"]=2, --1721
			["Cold Blood"]=1, --280
			--["Improved Kidney Shot"]=14, --279
			--["Quick Recovery"]=15, --1762
			["Seal Fate"]=5, --283
			["Murder"]=2, --27				
			--["Deadly Brew"]=18, --2065
			["Overkill"]=1, --281
			--["Deadened Nerves"]=20, --1723
			["Focused Attacks"]=3, --2069
			["Find Weakness"]=3, --1718
			["Master Poisoner"]=3, --1715
			["Mutilate"]=1, --1719
			--["Turn the Tables"]=25, --2066
			["Cut to the Chase"]=5, --2070
			["Hunger For Blood"]=1, --2071	
			--["Improved Gouge"]=1, --203
			--["Improved Sinister Strike"]=2, --201
			["Dual Wield Specialization"]=5, --221
			--["Improved Slice and Dice"]=4, --1827
			--["Deflection"]=5, --187
			["Precision"]=5, --181
			--["Endurance"]=7, --204
			--["Riposte"]=8, --301
			["Close Quarters Combat"]=3, --182
			["Relentless Strikes"]=5, --2244
			--["Master of Deception"]=2, --241
			["Opportunity"]=2, --261			
		},
	["Combat PVE 20/51/0"] = {
			order = 2,
				--["Improved Gouge"]=1, --203
				["Improved Sinister Strike"]=2, --201
				["Dual Wield Specialization"]=5, --221
				["Improved Slice and Dice"]=2, --1827
				--["Deflection"]=5, --187
				["Precision"]=5, --181
				["Endurance"]=1, --204
				--["Riposte"]=8, --301
				["Close Quarters Combat"]=5, --182
				--["Improved Kick"]=10, --206
				--["Improved Sprint"]=11, --222
				["Lightning Reflexes"]=3, --186
				["Aggression"]=5, --1122
				--["Mace Specialization"]=14, --184
				["Blade Flurry"]=1, --223
				--["Hack and Slash"]=16, --242,
				["Weapon Expertise"]=2, --1703
				["Blade Twisting"]=2, --1706
				["Vitality"]=3, --1705
				["Adrenaline Rush"]=1, --205
				--["Nerves of Steel"]=21, --1707
				--["Throwing Specialization"]=22, ---2072
				["Combat Potency"]=5, --1825
				--["Unfair Advantage"]=24, --2073
				["Surprise Attacks"]=1, --1709
				["Savage Combat"]=2, --2074
				["Prey on the Weak"]=5, --2075
				["Killing Spree"]=1, --2076		
				--["Improved Eviscerate"]=1, --276
				--["Remorseless Attacks"]=2, --272
				["Malice"]=5, --270
				["Ruthlessness"]=3, --273
				["Blood Spatter"]=2, --2068,
				--["Puncturing Wounds"]=6, --277
				--["Vigor"]=7, --382,
				--["Improved Expose Armor"]=8, --278
				["Lethality"]=5, --269
				["Vile Poisons"]=1, --682
				["Improved Poisons"]=4, --268				
		},
	["Subtlety PVE 20/0/51"] = {
			order = 3,
			["Relentless Strikes"]=5, --2244
			--["Master of Deception"]=2, --241
			["Opportunity"]=2, --261
			--["Sleight of Hand"]=4, --1700
			--["Dirty Tricks"]=5, --262
			["Camouflage"]=3, --244
			["Elusiveness"]=2, --247
			["Ghostly Strike"]=1, --303
			["Serrated Blades"]=3, --1123
			--["Setup"]=10, --246
			["Initiative"]=3, --245
			["Improved Ambush"]=2, --263
			--["Heightened Senses"]=13, --1701
			["Preparation"]=1, --284
			["Dirty Deeds"]=2, --265
			["Hemorrhage"]=1, --681
			["Master of Subtlety"]=3, --1713
			["Deadliness"]=5, --1702
			--["Enveloping Shadows"]=19, --1711
			["Premeditation"]=1, --381
			["Cheat Death"]=1, --1722
			["Sinister Calling"]=5, --1712
			--["Waylay"]=23, --2077
			["Honor Among Thieves"]=2, --2078
			["Shadowstep"]=1, --1714
			["Filthy Tricks"]=2, --2079
			["Slaughter from the Shadows"]=5, --2080
			["Shadow Dance"]=1, --2081				
			--["Improved Eviscerate"]=1, --276
			--["Remorseless Attacks"]=2, --272
			["Malice"]=5, --270
			["Ruthlessness"]=3, --273
			["Blood Spatter"]=2, --2068,
			--["Puncturing Wounds"]=6, --277
			--["Vigor"]=7, --382,
			--["Improved Expose Armor"]=8, --278
			["Lethality"]=5, --269
			["Vile Poisons"]=2, --682
			["Improved Poisons"]=3, --268						
		},	
    },
SHAMAN = {
	["Elemental PVE 57/14/0"] = {
		order = 1,
		["Call of Flame"]=3,
		["Call of Thunder"]=1,
		["Concussion"]=5,
		--["Convection"]=4,
		["Elemental Fury"]=5,
		["Improved Fire Nova"]=2,
		["Elemental Mastery"]=1,
		["Elemental Focus"]=1,
		--["Reverberation"]=9,
		["Lightning Mastery"]=5,
		["Elemental Warding"]=3,
		["Elemental Reach"]=2,
		["Eye of the Storm"]=3,
		--["Elemental Devastation"]=14,
		["Unrelenting Storm"]=3,
		["Elemental Precision"]=3,
		["Lightning Overload"]=3,
		["Totem of Wrath"]=1,
		["Elemental Oath"]=2,
		--["Astral Shift"]=20,
		["Lava Flows"]=3,
		["Storm, Earth and Fire"]=3,
		["Thunderstorm"]=1,
		["Shamanism"]=5,
		["Booming Echoes"]=2,
		["Anticipation"]=1,
		["Flurry"]=2,
		--["Improved Ghost Wolf"]=3,
		--["Improved Shields"]=4,
		--["Guardian Totems"]=5,
		--["Enhancing Totems"]=6,
		["Elemental Weapons"]=3,
		["Thundering Strikes"]=5,
		["Ancestral Knowledge"]=5,
		--["Toughness"]=10,
		--["Spirit Weapons"]=11,
		["Shamanistic Focus"]=1,
	},
	["Enhancement PVE  19/52/0"] = {
		order = 2,
		["Call of Flame"]=3,
		["Elemental Devastation"]=3,
		["Elemental Focus"]=1,
		["Elemental Fury"]=5,
		["Improved Fire Nova"]=2,
		["Concussion"]=5, --563
		["Ancestral Knowledge"]=3, --614
		--["Shield Specialization"]=2, --612
		--["Guardian Totems"]=3, --609
		["Thundering Strikes"]=5, --613
		["Improved Ghost Wolf"]=2, --605
		--["Improved Lightning Shield"]=6, --607
		["Enhancing Totems"]=3, --610
		["Shamanistic Focus"]=1, --617
		--["Anticipation"]=9, --601
		["Flurry"]=5, --602
		--["Toughness"]=11, --615
		["Improved Windfury Totem"]=1, --1647
		["Spirit Weapons"]=1, --616
		["Elemental Weapons"]=3, --611
		["Mental Dexterity"]=3, --1691
		["Weapon Mastery"]=3, --1643
		["Dual Wield Specialization"]=3, --1692
		["Dual Wield"]=1, --1690
		["Stormstrike"]=1, --901
		["Unleashed Rage"]=3, --1689
		["Shamanistic Rage"]=1, --1693	
		["Static Shock"]=3, --586
		["Tidal Focus"]=5, --593
		["Lava Lash"]=1, --593
		["Mental Quickness"]=3,
		["Improved Stormstrike"]=1,
		["Static Shock"]=3,
		--["Earthen Power"]=23,
		["Maelstrom Weapon"]=5,
		["Feral Spirit"]=1,
	},
	["Restoration PVE 8/0/58"] = {
		order = 6,
		["Enhancing Totems"]=3, --610		
		["Ancestral Knowledge"]=2, --614		
		["Thundering Strikes"]=5, --613
		["Improved Shields"]=3,
		["Ancestral Healing"]=3,
		["Tidal Force"]=1,
		["Improved Water Shield"]=3,
		["Improved Healing Wave"]=5,
		["Healing Focus"]=3,
		["Restorative Totems"]=3,
		--["Improved Reincarnation"]=7,
		["Mana Tide Totem"]=1,
		["Nature's Swiftness"]=1,
		["Purification"]=5,
		["Tidal Focus"]=5,
		["Tidal Mastery"]=5,
		--["Totemic Focus"]=13,
		--["Healing Grace"]=14,
		["Healing Way"]=3,
		--["Focused Mind"]=16,
		["Nature's Blessing"]=3,
		["Improved Chain Heal"]=2,
		["Earth Shield"]=1,
		--["Nature's Guardian"]=20,
		["Improved Earth Shield"]=2,
		["Blessing of the Eternals"]=2,
		["Ancestral Awakening"]=23,
		["Tidal Waves"]=5,
		["Riptide"]=1,
		["Cleanse Spirit"]=1,	
	},		
    },
WARLOCK = {
	["Affliction Leveling 62/9/0"] = {
		order = 1,
			["Improved Curse of Agony"]=2, --1284,
			["Suppression"]=3, --1005
			["Improved Corruption"]=5, --1003
			--["Improved Curse of Weakness"]=4, --1006
			["Improved Drain Soul"]=2, --1101
			["Improved Life Tap"]=2, --1007
			["Soul Siphon"]=2, --1004
			--["Improved Fear"]=8, --2205,
			["Fel Concentration"]=3, --1001
			["Amplify Curse"]=1, --1061
			["Grim Reach"]=2, --1021
			["Nightfall"]=2, --1002
			["Empowered Corruption"]=3, --1764
			["Shadow Embrace"]=5, --1763
			["Siphon Life"]=1, --1041
			--["Curse of Exhaustion"]=16, --1081				
			["Improved Felhunter"]=2, --1873,
			["Shadow Mastery"]=5, --1042,
			["Eradication"]=3, --1878,
			["Contagion"]=5, --1669,
			--["Dark Pact"]=21, --1022,
			["Improved Howl of Terror"]=2, --1668,
			["Malediction"]=3, --1667,
			["Death's Embrace"]=3, --1875,
			["Unstable Affliction"]=1, --1670,
			["Pandemic"]=1, --2245,				
			["Everlasting Affliction"]=5, --1876,
			["Haunt"]=1, --2041,		
			["Improved Healthstone"]=1, --1221
			--["Improved Imp"]=2, --1222
			["Demonic Embrace"]=3, --1223
			["Fel Synergy"]=2, --1883,
			["Improved Health Funnel"]=2, --1224
			--["Demonic Brutality"]=6, --1225,
			["Fel Vitality"]=3, --1242,
	},
	["Demonology Leveling 0/39/32"] = {
		order = 2,
			--["Improved Healthstone"]=1, --1221
			["Improved Imp"]=3, --1222
			["Demonic Embrace"]=3, --1223
			["Fel Synergy"]=2, --1883,
			--["Improved Health Funnel"]=5, --1224
			--["Demonic Brutality"]=6, --1225,
			["Fel Vitality"]=3, --1242,
			--["Improved Sayaad"]=8, --1243,
			["Soul Link"]=1, --1282,
			["Fel Domination"]=1, --1226
			["Demonic Aegis"]=3, --1671		
			["Unholy Power"]=5, --1262						
			["Master Summoner"]=1, --1227
			["Mana Feed"]=1, --1681
			["Master Conjuror"]=2, --1261
			["Master Demonologist"]=5, --1244
			["Molten Core"]=3, --1283,
			--["Demonic Resilience"]=18, --1680
			["Demonic Empowerment"]=1, --1880,
			["Demonic Knowledge"]=3, --1263,
			--["Demonic Tactics"]=21, --1673,
			["Decimation"]=2, --2261,	
			--["Improved Demonic Tactics"]=23, --1882,
			["Summon Felguard"]=24, --1672,
			--["Nemesis"]=25, --1884,
			--["Demonic Pact"]=26, --1885,
			--["Metamorphosis"]=27, --1886,
			--["Improved Shadow Bolt"]=1, --944
			["Bane"]=5, --943
			["Aftermath"]=2, --982
			--["Molten Skin"]=4, --1887,
			["Cataclysm"]=3, --941
			["Demonic Power"]=2, --983,
			["Shadowburn"]=1, --963	
			["Ruin"]=5, --967
			["Intensity"]=2, --985
			--["Destructive Reach"]=10, --964		
			["Improved Immolate"]=3, --961
			["Devastation"]=1, --981			
			["Backlash"]=2, --1817
			["Emberstorm"]=5, --966
			["Conflagrate"]=1, --968
    },
	["Destruction Leveling 0/7/54"] = {
		order = 3,
			--["Improved Shadow Bolt"]=1, --944
			["Bane"]=5, --943
			["Aftermath"]=2, --982
			--["Molten Skin"]=4, --1887,
			["Cataclysm"]=3, --941
			["Demonic Power"]=2, --983,
			["Shadowburn"]=1, --963	
			["Ruin"]=5, --967
			["Intensity"]=2, --985
			--["Destructive Reach"]=10, --964
			--["Improved Searing Pain"]=11, --965
			["Backlash"]=3, --1817
			["Improved Immolate"]=3, --961
			["Devastation"]=1, --981
			--["Nether Protection"]=15, --1679
			["Emberstorm"]=5, --966
			["Conflagrate"]=1, --968
			--["Soul Leech"]=18, --1678
			["Pyroclasm"]=3, --986
			["Shadow and Flame"]=5, --1677
			--["Improved Soul Leech"]=21, --1889,
			["Backdraft"]=3, --1888,
			["Shadowfury"]=1, --1676,
			["Empowered Imp"]=3, --2045,
			["Fire and Brimstone"]=5, --1890,
			["Chaos Bolt"]=1, --1891,	
			["Improved Imp"]=3, --1222
			["Demonic Embrace"]=3, --1223
			["Fel Synergy"]=1, --1883,			
	},		
},
WARRIOR = {
        ["Arms Leveling 35/26/0"] = {
			order = 1,
			["Improved Heroic Strike"]=3, --124
			["Deflection"]=2, --130
			--["Improved Rend"]=3, --127
			["Improved Charge"]=2, --126
			--["Iron Will"]=5, --641
			["Improved Thunder Clap"]=3, --128
			["Improved Overpower"]=2, --131
			["Anger Management"]=1, --137
			["Deep Wounds"]=3, --121
			["Two-Handed Weapon Specialization"]=5, --136
			["Impale"]=2, --662
			["Poleaxe Specialization"]=5, --132
			["Death Wish"]=1, --133
			--["Mace Specialization"]=14, --125
			--["Sword Specialization"]=15, --123
			["Improved Intercept"]=1, --134
			--["Improved Hamstring"]=17, --129
			--["Improved Disciplines"]=18, --1662
			["Blood Frenzy"]=2, --1664
			["Mortal Strike"]=1, --135
			["Second Wind"]=2, --1663
			--["Booming Voice"]=1, --158
			["Cruelty"]=5, --157
			--["Improved Demoralizing Shout"]=3, --161
			["Unbridled Wrath"]=5, --159
			--["Improved Cleave"]=5, --166
			--["Piercing Howl"]=6, --160
			--["Blood Craze"]=7, --661
			["Commanding Presence"]=5, --154
			--["Dual Wield Specialization"]=9, --1581
			["Improved Execute"]=2, --1542
			["Enrage"]=5, --155
			--["Improved Slam"]=12, --168
			["Sweeping Strikes"]=1, --165
			["Weapon Mastery"]=2, --1543
			--["Improved Berserker Rage"]=15, --1541
			["Flurry"]=1, --156			
        },
        ["Arms PVE 33/28/0"] = {
			order = 2,
			["Improved Heroic Strike"]=3, --124
			["Deflection"]=5, --130
			--["Improved Rend"]=3, --127
			--["Improved Charge"]=4, --126
			--["Iron Will"]=5, --641
			["Improved Thunder Clap"]=3, --128
			--["Improved Overpower"]=7, --131
			["Anger Management"]=1, --137
			["Deep Wounds"]=3, --121
			["Two-Handed Weapon Specialization"]=5, --136
			["Impale"]=2, --662
			--["Poleaxe Specialization"]=12, --132
			["Death Wish"]=1, --133
			--["Mace Specialization"]=14, --125
			["Sword Specialization"]=5, --123
			--["Improved Intercept"]=16, --134
			--["Improved Hamstring"]=17, --129
			["Improved Disciplines"]=2, --1662
			["Blood Frenzy"]=2, --1664
			["Mortal Strike"]=1, --135		
			--["Booming Voice"]=1, --158
			["Cruelty"]=5, --157
			--["Improved Demoralizing Shout"]=3, --161
			["Unbridled Wrath"]=5, --159
			--["Improved Cleave"]=5, --166
			--["Piercing Howl"]=6, --160
			--["Blood Craze"]=7, --661
			["Commanding Presence"]=5, --154
			--["Dual Wield Specialization"]=9, --1581
			--["Improved Execute"]=10, --1542
			["Enrage"]=5, --155
			["Improved Slam"]=2, --168
			["Sweeping Strikes"]=1, --165
			["Weapon Mastery"]=2, --1543
			--["Improved Berserker Rage"]=15, --1541
			["Flurry"]=3, --156			
        },
        ["Fury Leveling 18/43/0"] = {
			order = 3,
			--["Improved Heroic Strike"]=1, --124
			["Deflection"]=5, --130
			--["Improved Rend"]=3, --127
			["Improved Charge"]=2, --126
			--["Iron Will"]=5, --641
			["Improved Thunder Clap"]=3, --128
			["Improved Overpower"]=2, --131
			["Anger Management"]=1, --137
			["Deep Wounds"]=3, --121
			--["Two-Handed Weapon Specialization"]=10, --136
			["Impale"]=2, --662
			--["Booming Voice"]=1, --158
			["Cruelty"]=5, --157
			--["Improved Demoralizing Shout"]=3, --161
			["Unbridled Wrath"]=5, --159
			--["Improved Cleave"]=5, --166
			["Piercing Howl"]=1, --160
			["Blood Craze"]=3, --661
			["Commanding Presence"]=4, --154
			["Dual Wield Specialization"]=5, --1581
			["Improved Execute"]=2, --1542
			["Enrage"]=5, --155
			--["Improved Slam"]=12, --168
			["Sweeping Strikes"]=1, --165
			["Weapon Mastery"]=2, --1543
			--["Improved Berserker Rage"]=15, --1541
			["Flurry"]=5, --156
			["Precision"]=3, --1657
			["Bloodthirst"]=1, --167
			--["Improved Whirlwind"]=19, --1655
			--["Improved Berserker Stance"]=20, --1658
			["Rampage"]=1, --1659			
        },
        ["Fury PVE 17/44/0"] = {
			order = 4,
			["Improved Heroic Strike"]=3, --124
			["Deflection"]=5, --130
			--["Improved Rend"]=3, --127
			--["Improved Charge"]=2, --126
			--["Iron Will"]=5, --641
			["Improved Thunder Clap"]=3, --128
			--["Improved Overpower"]=2, --131
			["Anger Management"]=1, --137
			["Deep Wounds"]=3, --121
			--["Two-Handed Weapon Specialization"]=10, --136
			["Impale"]=2, --662
			--["Booming Voice"]=1, --158
			["Cruelty"]=5, --157
			["Improved Demoralizing Shout"]=5, --161
			["Unbridled Wrath"]=5, --159
			--["Improved Cleave"]=5, --166
			--["Piercing Howl"]=1, --160
			--["Blood Craze"]=3, --661
			--["Commanding Presence"]=4, --154
			["Dual Wield Specialization"]=5, --1581
			--["Improved Execute"]=2, --1542
			["Enrage"]=5, --155
			--["Improved Slam"]=12, --168
			["Sweeping Strikes"]=1, --165
			["Weapon Mastery"]=2, --1543
			--["Improved Berserker Rage"]=15, --1541
			["Flurry"]=5, --156
			["Precision"]=3, --1657
			["Bloodthirst"]=1, --167
			["Improved Whirlwind"]=1, --1655
			["Improved Berserker Stance"]=5, --1658
			["Rampage"]=1, --1659			
			["Bloodthirst"] = 1,
        },	
        ["Protection PVE 12/6/4"] = {
			order = 5,
			["Improved Heroic Strike"]=3, --124
			["Deflection"]=5, --130
			--["Improved Rend"]=3, --127
			--["Improved Charge"]=4, --126
			--["Iron Will"]=5, --641
			["Improved Thunder Clap"]=3, --128
			--["Improved Overpower"]=7, --131
			["Anger Management"]=1, --137
			["Cruelty"]=5, --157	
			--["Improved Bloodrage"]=1, --142
			--["Tactical Mastery"]=2, --141
			["Anticipation"]=5, --138
			["Shield Specialization"]=5, --1601
			["Toughness"]=5, --140
			["Last Stand"]=1, --153
			["Improved Shield Block"]=1, --145
			--["Improved Revenge"]=8, --147
			["Defiance"]=3, --144
			["Improved Sunder Armor"]=3, --146
			--["Improved Disarm"]=11, --151
			["Improved Taunt"]=1, --143
			--["Improved Shield Wall"]=13, --150
			["Concussion Blow"]=1, --152
			--["Improved Shield Bash"]=15, --149
			["Shield Mastery"]=3, --1654
			["One-Handed Weapon Specialization"]=5, --702
			["Improved Defensive Stance"]=1, --1652
			["Shield Slam"]=1, --148
			["Focused Rage"]=3, --1660
			["Vitality"]=5, --1653
			["Devastate"]=1, --1666			
        },
		["Protection Leveling 13/5/43"] = {
			order = 6,
			--["Improved Heroic Strike"]=1, --124
			["Deflection"]=5, --130
			--["Improved Rend"]=3, --127
			["Improved Charge"]=2, --126
			--["Iron Will"]=5, --641
			["Improved Thunder Clap"]=3, --128
			["Improved Overpower"]=2, --131
			["Anger Management"]=1, --137
			["Cruelty"]=5, --157
			--["Improved Bloodrage"]=1, --142
			["Tactical Mastery"]=3, --141
			["Anticipation"]=5, --138
			["Shield Specialization"]=5, --1601
			["Toughness"]=3, --140
			["Last Stand"]=1, --153
			["Improved Shield Block"]=1, --145
			--["Improved Revenge"]=8, --147
			["Defiance"]=3, --144
			["Improved Sunder Armor"]=3, --146
			--["Improved Disarm"]=11, --151
			--["Improved Taunt"]=12, --143
			--["Improved Shield Wall"]=13, --150
			["Concussion Blow"]=1, --152
			--["Improved Shield Bash"]=15, --149
			["Shield Mastery"]=3, --1654
			["One-Handed Weapon Specialization"]=5, --702
			--["Improved Defensive Stance"]=18, --1652
			["Shield Slam"]=1, --148
			["Focused Rage"]=3, --1660
			["Vitality"]=5, --1653
			["Devastate"]=1, --1666			
        },
    },
}